%define name drakx-installer-stage2
%define version 13.50
%define release %mkrel 2

Summary: DrakX installer stage2 image
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.xz
License: GPLv2+
Group: Development/Other
Url: http://wiki.mandriva.com/Tools/DrakX
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: squashfs-tools >= 4.0
BuildRequires: libx11-devel perl-devel libldetect-devel >= 0.9.1 drakx-installer-binaries parted-devel
BuildRequires: libgdk_pixbuf2.0
BuildRequires: perl-Gtk2 perl-Glib perl-XML-Parser perl-Curses perl-Curses-UI perl-Term-ReadKey
BuildRequires: pixman-devel >= 0.15.18
BuildRequires: perl-Locale-gettext packdrake perl-Clone
BuildRequires: drakx-net >= 0.81.1
BuildRequires: drakx-kbd-mouse-x11 >= 0.83
BuildRequires: rpm-mandriva-setup >= 1.48
BuildRequires: perl-MDK-Common >= 1.2.25
BuildRequires: urpmi >= 6.27
BuildRequires: perl-URPM >= 3.26
BuildRequires: perl_checker
BuildRequires: meta-task
BuildRequires: ldetect-lst >= 0.1.277
BuildRequires: draksnapshot
# progs
BuildRequires: drakx-installer-matchbox
BuildRequires: e2fsprogs >= 1.41.6
BuildRequires: dosfstools mtools
BuildRequires: task-x11 libx11-devel libxxf86misc-devel x11-driver-video-fbdev x11-driver-input-vmmouse
BuildRequires: x11-data-xkbdata >= 1.8-2
BuildRequires: setserial pciutils mt-st reiserfsprogs jfsutils
BuildRequires: xfsprogs pcmcia-cs gettext ash linuxwacom
BuildRequires: fonts-ttf-bengali fonts-ttf-bitstream-vera fonts-ttf-lohit fonts-ttf-thai fonts-ttf-devanagari fonts-ttf-wqy-microhei fonts-ttf-dejavu
BuildRequires: fb2png ntfsprogs ia_ora-gnome brltty
BuildRequires: lvm2 glibc-i18ndata
BuildRequires: dmraid mdadm quota
BuildRequires: losetup xmodmap xset monitor-edid locales
BuildRequires: perl-Gtk2-WebKit mandriva-doc-installer-help
BuildRequires: nfs-utils-clients
BuildRequires: ntfs-3g
BuildRequires: btrfs-progs
BuildRequires: aria2
BuildRequires: parted
BuildRequires: cryptsetup
BuildRequires: x11-driver-video-vesa
BuildRequires: x11-driver-input-keyboard
BuildRequires: x11-driver-input-mouse
BuildRequires: shared-mime-info
BuildRequires: rpm-manbo-setup
BuildRequires: nss

%description
This is the stage2 image for Mandriva DrakX installer.

%prep
%setup -q
%apply_patches

%build
make -C tools
make -C perl-install/install
rpm -qa | sort > build-rpms.lst

%install
rm -rf $RPM_BUILD_ROOT

dest=$RPM_BUILD_ROOT%{_libdir}/%name
mkdir -p $dest
make -C perl-install/install install ROOTDEST=$dest
make -C tools install ROOTDEST=$dest

%check
cd perl-install
%make check_perl_checker

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc build-rpms.lst
%{_libdir}/%name




%changelog
* Sun Jun 12 2011 Funda Wang <fwang@mandriva.org> 13.50-2mdv2011.0
+ Revision: 684299
- rebuild

* Thu May 26 2011 Funda Wang <fwang@mandriva.org> 13.50-1
+ Revision: 679138
- new version 13.50

* Wed May 11 2011 Antoine Ginies <aginies@mandriva.com> 13.49-1
+ Revision: 673485
- update translations, revert explicit dracut invocation to mkinird - dracut/mkinitrd execution is managed by alternatives already. This allows dracut and mkinitrd-basedenvironments to co-exist.
- release 13.49

* Tue May 03 2011 Eugeni Dodonov <eugeni@mandriva.com> 13.48-1
+ Revision: 664973
- 13.48:
- getting ready for mandriva 2011

* Wed Apr 27 2011 Antoine Ginies <aginies@mandriva.com> 13.47-1
+ Revision: 659636
- version 13.47
- drakx-installer-stage2 doesnt need drakxtools... it uses his own tarball....

* Wed Apr 27 2011 Antoine Ginies <aginies@mandriva.com> 13.46-2
+ Revision: 659634
- rebuild to use dracut now in bootloader section

* Tue Apr 26 2011 Antoine Ginies <aginies@mandriva.com> 13.46-1
+ Revision: 659360
- add missing mandriva's macros

* Tue Apr 26 2011 Antoine Ginies <aginies@mandriva.com> 13.45-2
+ Revision: 659314
- bump release

* Fri Apr 22 2011 Antoine Ginies <aginies@mandriva.com> 13.45-1
+ Revision: 656686
- fix missing /usr/lib/rpm/cpuinfo.yaml file

* Fri Apr 22 2011 Antoine Ginies <aginies@mandriva.com> 13.43-5
+ Revision: 656642
- bump release

* Thu Apr 21 2011 Antoine Ginies <aginies@mandriva.com> 13.43-4
+ Revision: 656468
- bump release

* Tue Apr 12 2011 Funda Wang <fwang@mandriva.org> 13.43-3
+ Revision: 652791
- rebuild

* Sun Apr 10 2011 Funda Wang <fwang@mandriva.org> 13.43-2
+ Revision: 652295
- rebuild

* Mon Apr 04 2011 Funda Wang <fwang@mandriva.org> 13.43-1
+ Revision: 650114
- new snapshot
- add more BR

  + Bogdano Arendartchuk <bogdano@mandriva.com>
    - new version 13.43

* Tue Dec 28 2010 Thierry Vignaud <tv@mandriva.org> 13.39-7mdv2011.0
+ Revision: 625567
- rebuild for new e2fsprogs

  + Thomas Backlund <tmb@mandriva.org>
    - rebuild for new btrfs-progs

* Tue Oct 19 2010 Thierry Vignaud <tv@mandriva.org> 13.39-5mdv2011.0
+ Revision: 586818
- rebuild with xserver-1.9
- patch 2: fix build with xserver-1.9

* Wed Oct 13 2010 Thierry Vignaud <tv@mandriva.org> 13.39-4mdv2011.0
+ Revision: 585304
- patch 1: include more perl modules (#60720)

* Tue Oct 12 2010 Thierry Vignaud <tv@mandriva.org> 13.39-3mdv2011.0
+ Revision: 585129
- patch 0: fix build with new libx11
- rebuild (so that net iso got rebuild)

* Fri Aug 06 2010 Thierry Vignaud <tv@mandriva.org> 13.39-2mdv2011.0
+ Revision: 566546
- BuildRequires fonts-ttf-wqy-microhei
- BuildRequires libgdk_pixbuf2.0 instead of gdk-pixbuf-loaders
- adapt to gtk and gdk change in 2.22
- adapt to perl-5.12
- BuildRequires gdk-pixbuf-loaders
- attempt to use new perl

* Fri Jul 02 2010 Pascal Terjan <pterjan@mandriva.org> 13.38-1mdv2010.1
+ Revision: 549754
- create symlink for /etc/pki to have it usable in stage2

* Fri Jul 02 2010 Pascal Terjan <pterjan@mandriva.org> 13.37-1mdv2010.1
+ Revision: 549746
- accept https URL in install::http
- include ca-bundle.crt

* Wed Jun 30 2010 Pascal Terjan <pterjan@mandriva.org> 13.36-1mdv2010.1
+ Revision: 549700
- Final banner

* Tue Jun 22 2010 Olivier Blin <oblin@mandriva.com> 13.35-1mdv2010.1
+ Revision: 548605
- 13.35
- user management: focus on first entry in dialog, root password if
  superuser is asked, user real name otherwise (#54910)
- auto_install: when distrib media contains selected_names list, apply
  it only to the concerned media, and not to previously added media
- remove lang-ast image in source rpm, now in upstream tarball

* Wed Jun 16 2010 Thierry Vignaud <tv@mandriva.org> 13.33-2mdv2010.1
+ Revision: 548161
- rebuild with fixed e2fsprogs

* Fri Jun 04 2010 Pascal Terjan <pterjan@mandriva.org> 13.33-1mdv2010.1
+ Revision: 547111
- lookup major:minor of devices outside $::prefix
- display lock icon for not enabled dmcrypt too
- disable dmcrypt before deleting partition, even if inside lvm/raid
- don't crash when starting stage2 with an RTL locale

* Wed Jun 02 2010 Pascal Terjan <pterjan@mandriva.org> 13.32-1mdv2010.1
+ Revision: 546939
- copy all devices to target

* Fri May 28 2010 Frederic Crozat <fcrozat@mandriva.com> 13.31-1mdv2010.1
+ Revision: 546509
- Release 13.31 :
 - RC2 banner
 - don't lose mountpoint if suggested partition was swap (#59510)

* Wed May 26 2010 Pascal Terjan <pterjan@mandriva.org> 13.30-1mdv2010.1
+ Revision: 546095
- final banner

* Mon May 24 2010 Pascal Terjan <pterjan@mandriva.org> 13.29-1mdv2010.1
+ Revision: 545804
- fix detection of /var partition
- force raid metadata to be 0.90 if /boot is on raid 1
- fix raid 0 to be handled as raid

* Tue May 18 2010 Pascal Terjan <pterjan@mandriva.org> 13.27-1mdv2010.1
+ Revision: 545237
- always set resume= when a swap is available, regardless of its size (#34681)
- update banner

* Mon May 17 2010 Pascal Terjan <pterjan@mandriva.org> 13.26-1mdv2010.1
+ Revision: 544909
- enable acl by default on ext2/3/4 fs
- enable user_xattr on home for ext2 too
- allow setting acl option in diskdrake
- default to defaultFS in LVM, not ext2
- don't ask to reboot after resize if not needed
- do not ask to reboot after resizing LUKS if not mounted
- workaround mapper/* being symlinks in dmraid support

* Mon May 10 2010 Pascal Terjan <pterjan@mandriva.org> 13.24-2mdv2010.1
+ Revision: 544303
- include btrfs and crc32c modules in install (#59068)
- include /etc/netconfig (needed by mount.nfs)
- diskdrake:
  o fix the crypto mountpoint checks for the create case
  o fix resize of active encrypted volumes

* Thu Apr 29 2010 Pascal Terjan <pterjan@mandriva.org> 13.22-2mdv2010.1
+ Revision: 540959
- diskdrake:
  o correctly set mountpoint on included partition, not encrypted one
  o refuse to have /boot encrypted
  o enable gtk-button-images to have the lock displayed during install

* Thu Apr 29 2010 Pascal Terjan <pterjan@mandriva.org> 13.21-2mdv2010.1
+ Revision: 540827
- rebuild with x11-server built with normal ld

* Tue Apr 27 2010 Pascal Terjan <pterjan@mandriva.org> 13.21-1mdv2010.1
+ Revision: 539801
- diskdrake:
  o allow resizing empty FAT (#58770)
  o offer encryption in a more visible way when creating a partition
  o remove cryptoloop from diskdrake interface and transparently use dm-crypt
  o support having dm-crypt partition with non default FS
  o do not display dm-crypt partitions in separate tab, display included
    partition directly in-place
  o do not warn about data loss when changing type of unformatted partition
  o display lock icon on encrypted partitions
  o fix loading of dmcrypt info now that /dev/mapper/* are symlinks
  o fix creating encrypted LVM
- install plymouth if / is encrypted, to ask for password
- beta2 banner

* Wed Apr 14 2010 Pascal Terjan <pterjan@mandriva.org> 13.19-1mdv2010.1
+ Revision: 534919
- detect "Rack Mount" Chassis as server
- diskdrake:
  o use device label even if it was not changed (#47456)
  o allow creating and resizing btrfs

* Fri Apr 02 2010 Pascal Terjan <pterjan@mandriva.org> 13.18-1mdv2010.1
+ Revision: 530781
- compute dependencies on full list of packages from rpmsrate levels instead of doing it individually. This avoids getting kdm in GNOME install.

* Wed Mar 31 2010 Pascal Terjan <pterjan@mandriva.org> 13.17-1mdv2010.1
+ Revision: 530434
- services management:
  o translate more service descriptions (#46640)
- detect "Rack Mount" Chassis as server
- use device label even if it was not changed (#47456)

* Fri Mar 19 2010 Pascal Terjan <pterjan@mandriva.org> 13.16-1mdv2010.1
+ Revision: 525265
- do not apply bootloader settings before giving user the option to change them (#57471)

* Wed Mar 17 2010 Thierry Vignaud <tv@mandriva.org> 13.15-1mdv2010.1
+ Revision: 523695
- summary:
  o enhanced services status message (#58194)

* Wed Mar 03 2010 Pascal Terjan <pterjan@mandriva.org> 13.14-1mdv2010.1
+ Revision: 513910
- devices:
  o handle creation of mmcblk devices (useful on Efika MX)
- alpha3

* Sun Feb 28 2010 Thierry Vignaud <tv@mandriva.org> 13.13-1mdv2010.1
+ Revision: 512578
- handle new SCSI driver: mpt2sas (#57833)
- detect_devices:
  o fix merging PCI devices info from sysfs which resulted in
    ill-informed devices matching (#57711)

* Wed Feb 10 2010 Pascal Terjan <pterjan@mandriva.org> 13.11-1mdv2010.1
+ Revision: 503959
- Add a temporary lang-ast.png to fix build
- add support for asturian (#56990)
- partitioning wizard:
  o display lvm/dmraid name in combo box
  o allow reusing existing partitions in lvm
  o fix a crash on empty disk
  o fix using empty dmraid

* Thu Feb 04 2010 Thierry Vignaud <tv@mandriva.org> 13.10-1mdv2010.1
+ Revision: 500858
- handle new drivers:
  o ATA: pata_atp867x, pata_piccolo, pata_rdc
  o DVB: dvb-usb-ec168, dvb-usb-friio, earth-pt1
  o ISDN: avmfritz, mISDNinfineon, netjet, speedfax, w6692
  o network: vmxnet3
  o radio: radio-miropcm20, radio-usb-si470x
  o RAID: 3w-sas, hpsa, pmcraid
  o SCSI: be2iscsi, bfa, pm8001, vmw_pvscsi
  o TV: cx25821, saa7164
  o wifi: r8187se, r8192_pci, r8192u_usb, rt2800pci, vt6655_stage, vt6656_stage
- bootloader configuration:
  o add support for crypted grub passwords
  o always display security settings
  o allow timeout to be '0'
  o default to always crypt grub passwords
  o ensure /boot/grub/menu.lst permissions are 0600 since it can
    contains a password
- partitioning wizard:
  o offer to install on dmraid (instead of crashing if no other disk)
  o offer to install on existing lvm

* Wed Feb 03 2010 Pascal Terjan <pterjan@mandriva.org> 13.8-2mdv2010.1
+ Revision: 500473
- rebuild for fixed x11-data-xkbdata

* Wed Feb 03 2010 Thierry Vignaud <tv@mandriva.org> 13.8-1mdv2010.1
+ Revision: 500104
- fixed logo

* Tue Feb 02 2010 Pascal Terjan <pterjan@mandriva.org> 13.7-1mdv2010.1
+ Revision: 499720
- alpha2 logo

* Mon Feb 01 2010 Thierry Vignaud <tv@mandriva.org> 13.6-1mdv2010.1
+ Revision: 499131
- do not ask for bootloader location (still available in summary)
- try to get better initial estimation of install time
- fix bootloader entry name for rc kernels
- remove mnb from bootloader entry name like we do for mdv
- support ddf1 dmraid

* Wed Jan 20 2010 Thierry Vignaud <tv@mandriva.org> 13.4-3mdv2010.1
+ Revision: 494090
- rebuild with fixed libpci (#56772)

* Wed Jan 13 2010 Pascal Terjan <pterjan@mandriva.org> 13.4-2mdv2010.1
+ Revision: 490868
- Rebuild for new perl-MDK-Common

* Thu Jan 07 2010 Thierry Vignaud <tv@mandriva.org> 13.4-1mdv2010.1
+ Revision: 487166
- alpha1 logo
- detect_devices:
  o fix detecting pcmcia serial devices
- rebuild with new libparted

* Mon Dec 21 2009 Pascal Terjan <pterjan@mandriva.org> 13.3-1mdv2010.1
+ Revision: 480605
- mount points: reset unknown partitions types to default
  fs (ext4) instead of hardcoded ext3
- diskdrake: show Ext4 instead of Ext3 in the gtk filesystems button box
- include /usr/share/X11/xkb/rules/base.lst (do we need xorg.* ?)

* Mon Dec 14 2009 Pascal Terjan <pterjan@mandriva.org> 13.2-3mdv2010.1
+ Revision: 478595
- Require perl-MDK-Common with fixed df

* Mon Dec 14 2009 Pascal Terjan <pterjan@mandriva.org> 13.2-2mdv2010.1
+ Revision: 478526
- Bump release...

  + Thierry Vignaud <tv@mandriva.org>
    - fix creating devices
      (really "fix handling hdX/sdX devices (#53107)")

* Thu Dec 10 2009 Thierry Vignaud <tv@mandriva.org> 13.1-1mdv2010.1
+ Revision: 476040
- BuildRequires mtools
- fix crash introduced by 'do not stay chdired in /mnt/var/cache/urpmi'
- locale setting
  o drop support for configuring KDE3
  o fix configuring ibus (#56130, #56311)
  o install 'ibus-qt4' if configuring ibus under KDE4 (#56311)
- partitioning wizard:
  o fix setting volume label instead of MBR's one for FAT fses (#52853)

* Tue Dec 01 2009 Thierry Vignaud <tv@mandriva.org> 13.0-1mdv2010.1
+ Revision: 472379
- do not offer to upgrade/install in restore mode
- fix detecting hidden partitions as recovery
- allow to convert ext2/3 to ext4 but do not enable flags
- fix using stdin and stdout in builtin dd command
- devices detection:
  o fix reading USB details (#55690)
  o fix SCSI driver module name
- partitioning wizard:
  o unmount swap too when unmounting all partitions
  o do not suggest Windows mountpoint for mounted partitions
    (breaks install if the Win partition is the installer media)
  o suggest non-removable disks first
- do not stay chdired in /mnt/var/cache/urpmi when download fails
  (workaround urpmi bug)
- bootloader:
  o do not add removable drives as "Windows" entry in bootloader
- fix adding additional media with type media_cfg (for auto_install)

* Fri Oct 30 2009 Olivier Blin <oblin@mandriva.com> 12.76-1mdv2010.0
+ Revision: 460287
- 12.76
- test existence of /usr/share/bootsplash/scripts/make-boot-splash
  file instead of install status of bootsplash package to enable vga
  in bootloader
  (package check is not working during upgrade on x86_64)

* Fri Oct 30 2009 Olivier Blin <oblin@mandriva.com> 12.75-1mdv2010.0
+ Revision: 460237
- 12.75
- bootloader suggestion fixes (to fix removal of vga= option when
  updating with the installer):
  o make sure we use long name when adding second kernel with same
    extension than preferred one
  o do not add again kernels that are already in bootloader config file
  o add vga= option for kernels that are not the preferred one as well
  o remove previous linux-nonfb entries (like done for failsafe),
    not to add them twice or more

* Thu Oct 29 2009 Thierry Vignaud <tv@mandriva.org> 12.74.1-1mdv2010.0
+ Revision: 459938
- disable X11 support for dpms

* Wed Oct 28 2009 Thierry Vignaud <tv@mandriva.org> 12.74-1mdv2010.0
+ Revision: 459747
- partitioning wizard (Windows resize):
  o fix partition size computing (fixing pixel/sectors ratio)
  o improve default resizing suggestion:
    * try to keep at least 1GB free for Windows
    * try to use from 6GB to 10%% free space for Linux
  o use same windows partition size suggestion for gtk and text installs
  o really ensure keeping free space for Linux partition
  o really ensure keeping free space for Windows partition

* Wed Oct 28 2009 Christophe Fergeau <cfergeau@mandriva.com> 12.73-1mdv2010.0
+ Revision: 459674
- 12.73:
- final banner for 2010.0

* Tue Oct 27 2009 Thierry Vignaud <tv@mandriva.org> 12.72-1mdv2010.0
+ Revision: 459503
- fix ftp URL parsing when using user + pass (#49898)

* Fri Oct 23 2009 Olivier Blin <oblin@mandriva.com> 12.71-1mdv2010.0
+ Revision: 459068
- 12.71
- minimal install: install packages with higher rpmsrate level only
  (level 5, and not level 4 + 5) when suggests are disabled
  (it was only done for truly minimal install before)
- cpufreq: load e_powersaver for VIA C7 (#41377)

* Thu Oct 22 2009 Olivier Blin <oblin@mandriva.com> 12.70-1mdv2010.0
+ Revision: 458945
- 12.70
- curses backend: do not crash when resuming interface
- minimal install: install packages with higher rpmsrate level only
  (level 5, and not level 4 + 5)

* Wed Oct 21 2009 Christophe Fergeau <cfergeau@mandriva.com> 12.69-1mdv2010.0
+ Revision: 458553
- 12.69:
- user management:
  o enable to install/deinstall xguest

* Mon Oct 19 2009 Olivier Blin <oblin@mandriva.com> 12.68-1mdv2010.0
+ Revision: 458267
- 12.68
- fix raid initialisation during install (#54706)
- fix raid detection during install (#54706)
- allow to set preferred packages list in auto_install
  (comma-separated list in $o->{preferred_packages})
- partitioning wizard:
  o use mandriva logo on blue background for mandriva partition
  o fix option selection when using keyboard

* Sun Oct 18 2009 Pascal Terjan <pterjan@mandriva.org> 12.67-1mdv2010.0
+ Revision: 458138
- partitioning wizard:
  o use a different color for newly created partition
  o add legend for the colors
  o display mount point if known
  o display ext2 like ext3/4
  o allow setting new windows size with keyboard (#54691)
  o use available space

* Thu Oct 15 2009 Pascal Terjan <pterjan@mandriva.org> 12.66-1mdv2010.0
+ Revision: 457787
- mount windows partitions under /media instead of /mnt (#53392)
- partitioning wizard:
  o initialize correctly labels for windows resizing
  o fix labels for windows resizing when getting back to the screen
  o offer to resize last big enough windows partition instead
    of the first one, until user can chose

* Wed Oct 14 2009 Pascal Terjan <pterjan@mandriva.org> 12.65-1mdv2010.0
+ Revision: 457404
- Version 12.65 - 14 October 2009
- do not call obsolete Xconfig::default::config_keyboard function (#54541)
- improve button layout while installing
- partitioning wizard:
  o allow using existing partition on all disks (#54478)
  o reduce drawings height
  o fix windows resize width
- make sure suggests are disabled in truly minimal install
- do not attempt to configure autologin if CAT_X is not selected
- use UTF-8 for zh_TW (#53976)
- enable using newly created raid devices (#54295)

* Mon Oct 12 2009 Pascal Terjan <pterjan@mandriva.org> 12.64-1mdv2010.0
+ Revision: 456941
- Version 12.64 - 12 October 2009
- partitioning wizard:
  o put back "previous" button on actions (#54475)
  o fix typo in message
  o fix testing interactive::gtk in standalone mode
  o fix displaying help

* Fri Oct 09 2009 Olivier Blin <oblin@mandriva.com> 12.63-1mdv2010.0
+ Revision: 456397
- 12.63
- drakboot:
  o fix displaying arrows
- 12.62
- autologin/desktop configuration (shared code):
  o fix guessing dm name from lookupdm
  o abort configuration if dm install fails

* Thu Oct 08 2009 Pascal Terjan <pterjan@mandriva.org> 12.61-1mdv2010.0
+ Revision: 456179
- Version 12.61 - 8 October 2009
- partitionning_wizard:
  o do not fail when a windows partition is corrupted
  o add separator between solutions
  o give more space between header and solutions
  o prevent cursor to go under needed size because of rounding
  o chose windows resizing when clicking on the resize handle (not perfect)
  o improve resizing captions layout
- autologin/desktop configuration (shared code):
  o fix /etc/X11/lookupdm usage during install (for default dm selection)
  o use gdm for xfce4 and LXDE

  + Olivier Blin <oblin@mandriva.com>
    - require latest ldetect-lst/drakx-kbd-mouse-x11 sweets

* Thu Oct 08 2009 Pascal Terjan <pterjan@mandriva.org> 12.60.1-1mdv2010.0
+ Revision: 455997
- include File::Sync in install
- Include MDK::Common after XML::Parser as XML::Parser breaks if File::Sync was used before...

  + Thierry Vignaud <tv@mandriva.org>
    - RC2 banner

* Wed Oct 07 2009 Pascal Terjan <pterjan@mandriva.org> 12.59-1mdv2010.0
+ Revision: 455548
- Version 12.59 - 07 October 2009
- do not set mountpoints for rescue partitions (#53504)
- switch to ext4 by default

* Mon Oct 05 2009 Pascal Terjan <pterjan@mandriva.org> 12.58-1mdv2010.0
+ Revision: 454222
- Version 12.58 - 05 October 2009
- better describe what usernames we allow (#44783)
- rewrite partitionning wizard to look better in gtk (not perfect yet)

* Mon Sep 28 2009 Thierry Vignaud <tv@mandriva.org> 12.54-3mdv2010.0
+ Revision: 450519
- rebuild with fixed ldetect

* Wed Sep 23 2009 Thierry Vignaud <tv@mandriva.org> 12.54-2mdv2010.0
+ Revision: 447964
- rebuild for new ldetect that behaves better with 8139 network cards

  + Olivier Blin <oblin@mandriva.com>
    - 12.54
    - autologin/desktop configuration (shared code):
      o when detecting default desktop, use first session
        (instead of using hacks with dm config files)
      o guess display manager from /etc/sysconfig/desktop,
        or default session, or /etc/X11/lookupdm
      o read autologin settings from /etc/sysconfig/autologin as fallback
      o read kdm config file only if kdm is to be used
      o always ensure dm is installed before configuring autologin/desktop
      o test display manager instead of desktop when configuring autologin
      o always write /etc/sysconfig/desktop
      o write DISPLAYMANAGER in /etc/sysconfig/desktop too
      o only write dm conf files if they exist before
    - autologin/desktop configuration (installer specific):
      o allow to specify display manager in $o->{dm}
      o use shared code to read autologin settings (and thus get default dm)

* Wed Sep 23 2009 Thierry Vignaud <tv@mandriva.org> 12.53-2mdv2010.0
+ Revision: 447817
- rebuild for new ldetect

* Tue Sep 22 2009 Thierry Vignaud <tv@mandriva.org> 12.53-1mdv2010.0
+ Revision: 447543
- include usb.ids
- don't consider lvm named md* as raid (#53767)
- allow resizing ext4

* Fri Sep 18 2009 Thierry Vignaud <tv@mandriva.org> 12.52-2mdv2010.0
+ Revision: 444260
- rebuild with a ldetect-lst with fixed horizsync lines

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 12.52-1mdv2010.0
+ Revision: 443272
- RC1 logo
- allow to set preferred kernel extension in $o->{kernel_extension}

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 12.48-2mdv2010.0
+ Revision: 439868
- rebuild with latest ldetect-lst

* Mon Sep 07 2009 Thierry Vignaud <tv@mandriva.org> 12.48-1mdv2010.0
+ Revision: 432796
- mygtk2:
  o HScale widget: added digits and ref_value options
  o HScale widget: fix for value option
- adduserdrake:
  o use icons to display password weakness
- added security-{low,medium,strong}.png pixmaps used for
  password weakness display
- authentication:
  o reduced password weakness check level
- allow minimal install without suggests (#45665)
- install the right kernel-XXX-devel-latest flavor instead of
  hardcoding 'kernel-desktop-devel-latest'
- fix existing raid detection during install (#53159)
- enable to see release notes while installing packages (#34576)

* Wed Sep 02 2009 Thierry Vignaud <tv@mandriva.org> 12.47-5mdv2010.0
+ Revision: 425248
- rebuild with a fixed drakx-net

* Tue Sep 01 2009 Pascal Terjan <pterjan@mandriva.org> 12.47-3mdv2010.0
+ Revision: 423620
- Include Encode/Alias.pm in stage2

* Tue Sep 01 2009 Pascal Terjan <pterjan@mandriva.org> 12.47-2mdv2010.0
+ Revision: 423355
- include Encode.pm in stage2, used by network.pm

* Tue Sep 01 2009 Pascal Terjan <pterjan@mandriva.org> 12.47-1mdv2010.0
+ Revision: 423212
- use https to grab mirrorlist from api.mandriva.com
- fix stage2 image files for perl 5.10.1

* Fri Aug 28 2009 Pascal Terjan <pterjan@mandriva.org> 12.46-1mdv2010.0
+ Revision: 422016
- handle new drivers:
  o DVB: dvb-usb-ce6230
  o sound: snd-indigodjx, snd-indigoiox, snd-lx6464es
  o wireless: ar9170usb, mwl8k, r8192s_usb, rt2800usb, rt3070sta
- adduserdrake
  o added weakness check for root password
- drakboot
  o fix crash bug #52997
- detect_devices:
  o fix VirtIO devices support

* Wed Aug 19 2009 Thierry Vignaud <tv@mandriva.org> 12.45-2mdv2010.0
+ Revision: 417952
- rebuild with latest urpmi
- 2010.1 logo
- added the ability to add up/down buttons in add_modify_remove list
  of interactive
- drakboot :
  o user is now able to re-order bootloader entries
- adduserdrake
  o now use password weakness display
- added password weakness display feature in interactive
- handle new drivers:
  o sound: snd_ctxfi
- set virtio/xen block modules in a section actually offered

* Thu Aug 13 2009 Thierry Vignaud <tv@mandriva.org> 12.44-1mdv2010.0
+ Revision: 416077
- fix parsing dmidecode output (broken since we use dmidecode-2.10,
  aka since November 24 2008)
- prevent urpmi messages from garbaging text installer (#50776)
- locales
  o add "English (South Africa)" (#51057)
  o fix sorting South Africa languages (#51055)
  o fix displayed names of some South Africa languages (#51055)

* Mon Aug 10 2009 Pascal Terjan <pterjan@mandriva.org> 12.43-1mdv2010.0
+ Revision: 414226
- Version 12.43 - 10 August 2009
- do not write /etc/fstab in local_install mode
- fix two crashes on handling devices

* Fri Aug 07 2009 Pascal Terjan <pterjan@mandriva.org> 12.42-1mdv2010.0
+ Revision: 411307
- Version 12.42 -  7 Aug 2009
- use gtk instead of X to focus window and revert workaround

* Fri Aug 07 2009 Pascal Terjan <pterjan@mandriva.org> 12.41-1mdv2010.0
+ Revision: 411262
- Version 12.41 -  7 Aug 2009
- do not crash when trying to create a partition on a device with
  no cylinder_size
- workaround gtk crashes by running in sync mode

* Fri Jul 24 2009 Thierry Vignaud <tv@mandriva.org> 12.39-6mdv2010.0
+ Revision: 399204
- rebuild with fixed gtk+
- rebuild with fixed gtk+

* Wed Jul 22 2009 Thierry Vignaud <tv@mandriva.org> 12.39-4mdv2010.0
+ Revision: 398466
- rebuild with a fixed pixman (fix #52320)

* Tue Jul 21 2009 Thierry Vignaud <tv@mandriva.org> 12.39-3mdv2010.0
+ Revision: 398353
- rebuild with latest gtk+ (may fix #52320)

* Thu Jul 16 2009 Thierry Vignaud <tv@mandriva.org> 12.39-2mdv2010.0
+ Revision: 396613
- rebuild with latest e2fsprogs

* Fri Jun 12 2009 Pascal Terjan <pterjan@mandriva.org> 12.39-1mdv2010.0
+ Revision: 385483
- use Hal list of recovery partitions (#51532)
- use blkid instead of vol_id which we no longer ship
- properly handle hidden variables

* Tue Jun 02 2009 Thierry Vignaud <tv@mandriva.org> 12.36-2mdv2010.0
+ Revision: 382222
- patch 0: fix build with latest brltty
- rebuild with fixed-for-ext4 tools
- ide-disk module is now named ide-gd_mod
- add new 'touchpad' TYPE to rpmsrate
- add support for ElanTech touchpads (found on EEEPCs)
- don't ignore FB-DIMM memory
- rebuild with fixed-for-ext4 tools

* Fri Apr 24 2009 Olivier Blin <oblin@mandriva.com> 12.35-1mdv2009.1
+ Revision: 369005
- 12.35
- remove unused parameter in installPackages
  (fix passing interactive setting)

* Fri Apr 24 2009 Thierry Vignaud <tv@mandriva.org> 12.34-1mdv2009.1
+ Revision: 369000
- do not set urpmi in automatic mode for gtk installs
  (was set correctly for plain interactive installs only)

* Thu Apr 23 2009 Thierry Vignaud <tv@mandriva.org> 12.33-1mdv2009.1
+ Revision: 368915
- fix not offering to upgrade 32 bit installations
- handle virtio block devices

* Thu Apr 23 2009 Thierry Vignaud <tv@mandriva.org> 12.32-2mdv2009.1
+ Revision: 368868
- rebuild with latest ldetect-lst, thus fixing wrongly using vesa driver (thus
  fixing firefox blockong on x11 socket in first time wizard)

* Thu Apr 23 2009 Thierry Vignaud <tv@mandriva.org> 12.32-1mdv2009.1
+ Revision: 368810
- fix cdrom path in urpmi.cfg for dual arch ISOs
- advanced partitionning step:
  o fix displaying help at install time

* Wed Apr 22 2009 Thierry Vignaud <tv@mandriva.org> 12.31-1mdv2009.1
+ Revision: 368704
- fix final banner
- handle partition starting after 1To
- package installation:
  o use --force like older installer
- set mouse driver as 'vmmouse' for vmware (#49654)
- update XFCE preview

* Tue Apr 21 2009 Thierry Vignaud <tv@mandriva.org> 12.30-2mdv2009.1
+ Revision: 368579
- rebuild with latest ldetect-lst & xfdrake
- finall banner
- add a basic testsuite (ensuring it compiles) in order to prevent
  future crashes like #50009
- do not offer to stop the install when kde3 is installed since kde3
  to kde4 upgrade is now done
- fix checking for kde3 (which is now in /opt)
- diskdrake:
  o display a progress bar while formating an ext4 partition
  o do not run udevadm in install mode
  o render ext4 partition as red like ext3 ones

* Tue Apr 21 2009 Pascal Terjan <pterjan@mandriva.org> 12.29-1mdv2009.1
+ Revision: 368491
- Drop patch0

  + Thierry Vignaud <tv@mandriva.org>
    - do not log perl warnings about missing/not-yet-installed locales
      while installing and while probing EDID
    - rebuild with new ldetect-lst for pata_marvell fix (#43975)
    - updated translations

* Mon Apr 20 2009 Thierry Vignaud <tv@mandriva.org> 12.28.1-2mdv2009.1
+ Revision: 368096
- rebuild with new perl

* Thu Apr 16 2009 Thierry Vignaud <tv@mandriva.org> 12.28.1-1mdv2009.1
+ Revision: 367757
- diskdrake:
  o fix crash
- windows boot partition is the active one (#49483)
- include mount.ntfs-3g in install
- display an error when mount fails during View action
- do not crash when encountering bad signatures in automatic install

  + Pascal Terjan <pterjan@mandriva.org>
    - Buildrequires ntfs-3g

* Tue Apr 14 2009 Pascal Terjan <pterjan@mandriva.org> 12.27-1mdv2009.1
+ Revision: 367181
- Version 12.27 - 14 April 2009
- be more compatible with older http code for error management
- handle firmware loading in stage2 too

* Tue Apr 14 2009 Thierry Vignaud <tv@mandriva.org> 12.26.2-5mdv2009.1
+ Revision: 366909
- rebuild with new ldetect-lst
- rebuild with new ldetect-lst
- rebuild with new ldetect-lst

* Thu Apr 09 2009 Thierry Vignaud <tv@mandriva.org> 12.26.2-4mdv2009.1
+ Revision: 365372
+ rebuild (emptylog)

* Thu Apr 09 2009 Thierry Vignaud <tv@mandriva.org> 12.26.2-2mdv2009.1
+ Revision: 365370
- be more compatible with older http code for error management

* Thu Apr 09 2009 Thierry Vignaud <tv@mandriva.org> 12.26.2-1mdv2009.1
+ Revision: 365356
- media management:
  o fix crashing when using urpmi early to download stuff for network installs
- media management:
  o handle supplementary NFS & CDROM media with arched directory (aka 'i586/')

* Wed Apr 08 2009 Thierry Vignaud <tv@mandriva.org> 12.26-1mdv2009.1
+ Revision: 365167
- include vmmouse driver (#49654)
- media management:
  o just use curl instead of using our own http stack to retrieve
    files from network (thus fixing #48887)
  o fix mount point for NFS & disk media for both main & suppl media
  o tell urpmi to read synthesis before adding supplementary network
    media in order to be able to install the 'basesystem' package
- log where we segfaulted

* Tue Apr 07 2009 Thierry Vignaud <tv@mandriva.org> 12.25.1-1mdv2009.1
+ Revision: 364851
- fix mount point for CD-ROM media (#49613)

* Mon Apr 06 2009 Thierry Vignaud <tv@mandriva.org> 12.25-1mdv2009.1
+ Revision: 364540
- buildrequires perl-Clone
- media management:
  o fix path of NFS media after installation
  o use urpmi in order to add supplementary media
- put distro version after release because release contains "Mandriva Linux"

* Sun Apr 05 2009 Thierry Vignaud <tv@mandriva.org> 12.24.1-1mdv2009.1
+ Revision: 364257
- ensure login is lowercase when transliterating from real name
  (#49573)

* Fri Apr 03 2009 Thierry Vignaud <tv@mandriva.org> 12.24-1mdv2009.1
+ Revision: 363836
- handle new drivers:
  o gigabit: be2net, slicoss
  o wireless: agnx, arusb_lnx
  o dvb: dvb-usb-dtv5100
- include draksnapshot translations (for restore option)
- theming:
  o include all Ia Ora themes
  o drop metacity images

* Thu Apr 02 2009 Anne Nicolas <ennael@mandriva.org> 12.23-3mdv2009.1
+ Revision: 363628
- 12.23 version

* Thu Apr 02 2009 Thierry Vignaud <tv@mandriva.org> 12.22-3mdv2009.1
+ Revision: 363573
- rebuild with latest drakx-kbd-mouse-x11

* Thu Apr 02 2009 Thierry Vignaud <tv@mandriva.org> 12.22-2mdv2009.1
+ Revision: 363500
- rebuild with new ldetect-lst

* Tue Mar 31 2009 Thierry Vignaud <tv@mandriva.org> 12.22-1mdv2009.1
+ Revision: 362999
- don't list installed distros with other archs as upgrading between
  archs is not supported
- display the version of the distro in the install/upgrade screen (#44602)
- log (g|)urpmi.addmedia and (g|)urpmi output into
  /root/drakx/updates.log (#47107)
- make button name match text when inserting a CD ("cancel" rather
  than "previous")
- rotate /root/drakx/install1.log too
- tell urpmi to stop transactions when clicking on "cancel" (needs
  urpmi >= 6.25)

* Mon Mar 30 2009 Thierry Vignaud <tv@mandriva.org> 12.21-1mdv2009.1
+ Revision: 362446
- fix writing urpmi.cfg as cdrom:// for NFS (#49316)
- in order to guess the login name, just transliterate the real name into
  ascii rather than truncate it on first non ascii character (#47322)

* Mon Mar 30 2009 Thierry Vignaud <tv@mandriva.org> 12.20-1mdv2009.1
+ Revision: 362288
- media management:
  o always trust stage1 (fix ISO on NFS installation as well as NFS
    installation from cooker/ instead of eg cooker/i586 (#48874)
  o fix not ejecting DVD at end of installation (#48779)
- diskdrake:
  o always display label in partition info
  o display label of partitions in the graphical view when no mountpoint
    is set
  o update list of filesystems not handling bad blocks checking

* Thu Mar 26 2009 Thierry Vignaud <tv@mandriva.org> 12.19-1mdv2009.1
+ Revision: 361391
- adjust partition size suggestion
  o increase / size to 12GB (instead of 8)
  o create separate /home starting at 13GB drives (instead of 7)
- fix support for disk installation
- include & use urpmi translations
- when setting update media, make gurpmi.addmedia auto close instead
  of waiting for user pressing "close" button on "media added with
  success" dialogs

* Wed Mar 25 2009 Thierry Vignaud <tv@mandriva.org> 12.18-1mdv2009.1
+ Revision: 361040
- log packages' scripts output (perl-URPM/urpmi aren't fixed regarding
  script fd leak but older installer was leaking one fd per
  transaction too)

* Mon Mar 23 2009 Thierry Vignaud <tv@mandriva.org> 12.17.3-1mdv2009.1
+ Revision: 360702
- fix empty tree at "Individual package selection" step (#48672)

* Mon Mar 23 2009 Thierry Vignaud <tv@mandriva.org> 12.17.2-1mdv2009.1
+ Revision: 360652
- fix buid due to to broken Estonian translation
- unbreak installer due to new X.org server using alternatives
- diskdrake:
  o allow LVM in non expert mode
  o allow Encrypted partition inside LVM

* Thu Mar 19 2009 Thierry Vignaud <tv@mandriva.org> 12.16-2mdv2009.1
+ Revision: 357903
- rebuild with new ldetect-lst

* Wed Mar 18 2009 Thierry Vignaud <tv@mandriva.org> 12.16-1mdv2009.1
+ Revision: 357427
- fix doble clicking on 'accept' on license screen

* Tue Mar 17 2009 Thierry Vignaud <tv@mandriva.org> 12.15-1mdv2009.1
+ Revision: 356846
- fix support for iso-on-disk installation
  (regression when installer switched to urpmi)
- drakx-in-chroot:
  o enable to emulate iso-on-disk installation

* Wed Mar 11 2009 Thierry Vignaud <tv@mandriva.org> 12.14-1mdv2009.1
+ Revision: 353884
- fix displaying help (same webkit regression that affected mcc (#47840))
- include virtio modules (#4

* Tue Mar 10 2009 Thierry Vignaud <tv@mandriva.org> 12.13-1mdv2009.1
+ Revision: 353389
- fix selecting packages on cdroms
- don't crash when creating a partition in LVM with the partition type
  buttons (#38078)

* Mon Mar 09 2009 Thierry Vignaud <tv@mandriva.org> 12.12-1mdv2009.1
+ Revision: 353286
- use new urpmi API in order to fix detecting whether installing
  packages succedded or not

* Mon Mar 09 2009 Thierry Vignaud <tv@mandriva.org> 12.11-1mdv2009.1
+ Revision: 353224
- fix accessing CD-ROM based media on x86_64

* Mon Mar 09 2009 Thierry Vignaud <tv@mandriva.org> 12.10-1mdv2009.1
+ Revision: 353134
- fix CD-ROM based media path for post-installation usage
- bump require
- adjust media path for 32 bit DVD/CD installations

* Mon Mar 09 2009 Thierry Vignaud <tv@mandriva.org> 12.9-1mdv2009.1
+ Revision: 353110
- package installation:
  o ask for retry
  o log bogus signatures
  o log failed transactions summary

* Fri Mar 06 2009 Thierry Vignaud <tv@mandriva.org> 12.8-1mdv2009.1
+ Revision: 349979
- RC1 banner

* Fri Mar 06 2009 Thierry Vignaud <tv@mandriva.org> 12.7-1mdv2009.1
+ Revision: 349936
- fix setting urpmi media for CDROM installation whose tree differ
  from other types of installation

* Fri Mar 06 2009 Thierry Vignaud <tv@mandriva.org> 12.6-1mdv2009.1
+ Revision: 349781
- make sure to popup errors

* Thu Mar 05 2009 Thierry Vignaud <tv@mandriva.org> 12.5-1mdv2009.1
+ Revision: 349065
- handle new drivers
  o dvb: dm1105, dvb-usb-af9015, dvb-usb-cinergyT2, firedtv
  o ethernet: smsc9420
  o gigabit: atl1c
  o pata: cs5536, it8172, it821x
  o ISDN: hfcpci, hfcmulti, hfcsusb, solos-pci
  o USB controllers: hwa-hc, whci-hcd
  o wireless: ath9k, i2400m-usb

* Thu Mar 05 2009 Thierry Vignaud <tv@mandriva.org> 12.4-1mdv2009.1
+ Revision: 348834
- check package signatures like urpmi does (new feature)
- log extra debugging messages if passing the 'debug_urpmi' option

* Wed Mar 04 2009 Thierry Vignaud <tv@mandriva.org> 12.3-1mdv2009.1
+ Revision: 348436
- honor 'selected_names' for auto_install
- make sure we don't try to reslect already selected packages

* Wed Mar 04 2009 Thierry Vignaud <tv@mandriva.org> 12.2-1mdv2009.1
+ Revision: 348337
- only warn if a transaction failed (no more a fata error for auto
  installs)
- prevent urpmi from leaking a log file descriptor per transaction
- really set urpmi in automatic mode for non-interactive installs
  (and not vice-versa)
- use package summary translations once 'mdv-rpm-summary' is installed

* Tue Mar 03 2009 Thierry Vignaud <tv@mandriva.org> 12.1-1mdv2009.1
+ Revision: 348001
- set urpmi in automatic mode for non-interactive installs
- media management & package installation:
  o do not try to install again already installed packages
  o fix progress bar

* Tue Mar 03 2009 Thierry Vignaud <tv@mandriva.org> 12.0-1mdv2009.1
+ Revision: 347704
- media management & package installation:
  o drop support for parsing the "media_info/hdlists" file
  o do not download and use hdlists anymore ; only use smaller synthesis files
  o make install uses urpmi code to set up media & install packages
    * FTP/HTTP/cdroms tested OK
    * temporary issues:
      + /etc/urpmi.cfg may look strange (eg: after CD-ROM installation)
      + isos-on-disk installations are broken
      + media deselection is not offered
      + package browsing doesn't work
      + progress bar has issues
      + signature checking are not performed

* Thu Feb 19 2009 Pascal Terjan <pterjan@mandriva.org> 11.89-3mdv2009.1
+ Revision: 342926
- rebuild with news Gtk2

* Wed Feb 18 2009 Thierry Vignaud <tv@mandriva.org> 11.89-2mdv2009.1
+ Revision: 342408
- rebuild with new v4 squashfs format

* Tue Feb 17 2009 Pascal Terjan <pterjan@mandriva.org> 11.89-1mdv2009.1
+ Revision: 341373
- enable having /boot as ext4
- don't set extents option for ext4

* Mon Feb 16 2009 Thierry Vignaud <tv@mandriva.org> 11.88.1-1mdv2009.1
+ Revision: 341037
- correctly handle new msec-based settings during installation (#47822)
- fix crash

* Mon Feb 16 2009 Thierry Vignaud <tv@mandriva.org> 11.88-1mdv2009.1
+ Revision: 340936
- don't crash on invalid partition table
- fix paths for installer (#47871)
- limit partition type list to 2 colmuns instead of 4
- don't offer to format LVM

* Thu Feb 12 2009 Pascal Terjan <pterjan@mandriva.org> 11.86-1mdv2009.1
+ Revision: 339807
- Upload a correct release

* Thu Feb 12 2009 Pascal Terjan <pterjan@mandriva.org> 11.85-1mdv2009.1
+ Revision: 339793
- fix a crash when boot device is not removable

* Thu Feb 12 2009 Christophe Fergeau <cfergeau@mandriva.com> 11.84-1mdv2009.1
+ Revision: 339784
- 11.84:
- handle newer module-init-tools which can put relative path in modules.dep
- when installing to a removable device, put boot sector there, else
  put it into first non removable drive (#47106)
- fix preserving UUID when formatting ext* and swap, and handle more FS (#39913)
- load cbc module for encrypted loop

* Fri Feb 06 2009 Pascal Terjan <pterjan@mandriva.org> 11.83-1mdv2009.1
+ Revision: 338178
- update banner for Beta 1

* Thu Feb 05 2009 Olivier Blin <oblin@mandriva.com> 11.82-1mdv2009.1
+ Revision: 337738
- 11.82
- include /usr/share/mime/mime.cache in stage2
  (gdk-pixbuf does not guess anymore image format from file extension,
   which makes it check MIME cache now)

* Tue Feb 03 2009 Pascal Terjan <pterjan@mandriva.org> 11.81-2mdv2009.1
+ Revision: 336973
- Bump release

* Tue Feb 03 2009 Pascal Terjan <pterjan@mandriva.org> 11.81-1mdv2009.1
+ Revision: 336904
- allow browsing partitions content to easily select the ones to destroy
- do not warn about "servers which open ports on outside by default"
  (the list of servers is not maintained, and the policy for those servers has changed)
- use a file selector in text mode too
- include mke2fs.conf from e2fsprogs-1.41.3-3mdb
- media management:
  o better layout for DVD/CD copy & media selection

  + Pixel <pixel@mandriva.com>
    - buildrequire drakx-kbd-mouse-x11 0.69 to fix testing X during install (#47237)

* Thu Jan 22 2009 Pixel <pixel@mandriva.com> 11.80.1-2mdv2009.1
+ Revision: 332526
- rebuild for fixed gtk

* Wed Jan 21 2009 Thierry Vignaud <tv@mandriva.org> 11.80.1-1mdv2009.1
+ Revision: 332186
- include perl-Pango

* Wed Jan 21 2009 Thierry Vignaud <tv@mandriva.org> 11.80-1mdv2009.1
+ Revision: 332157
- use "ComboBoxEntry" gtk2 widget instead of "Combo" (which is deprecated),
  this also workarounds gtk2 bug with "hidden" Entry + "Combo"

* Fri Jan 16 2009 Thierry Vignaud <tv@mandriva.org> 11.79-1mdv2009.1
+ Revision: 330262
- disable resizing ext4 since resize2fs is known to be broken regarding extents

* Fri Jan 16 2009 Thierry Vignaud <tv@mandriva.org> 11.78-1mdv2009.1
+ Revision: 330141
- alpha2 logo

* Thu Jan 15 2009 Thierry Vignaud <tv@mandriva.org> 11.77-1mdv2009.1
+ Revision: 329743
- do not install kernel-server on x86_64 when there's more than 4Gb of
  RAM (#44709) ; use better heuristics
- include tools to edit partition labels
- propose ext4 filesystem during install now that it is stable

* Thu Dec 18 2008 Thierry Vignaud <tv@mandriva.org> 11.76-3mdv2009.1
+ Revision: 315744
- rebuild with latest dash

  + Pixel <pixel@mandriva.com>
    - rebuild with new drakx-kbd-mouse-x11

* Thu Dec 18 2008 Thierry Vignaud <tv@mandriva.org> 11.76-1mdv2009.1
+ Revision: 315620
- adapt to cooker: librpm4.6 uses libnss3 which needs its modules
- partitionning:
  o use sysfs in order to discover major/minor for SCSI like devices
    since they're dynamic with kernel-2.6.28+

* Wed Dec 17 2008 Thierry Vignaud <tv@mandriva.org> 11.75-1mdv2009.1
+ Revision: 315290
- force to use static input devices again
  (since the default in xorg has changed)
- handle new driver:
  o network: sxg, w35und
- partitionning:
  o kernel-2.6.28+ supports more than 15 partitions on SATA & SCSI devices

* Tue Dec 16 2008 Thierry Vignaud <tv@mandriva.org> 11.74-1mdv2009.1
+ Revision: 314799
- fix build with latest X.org
- do allow to upgrade Mandrakelinux (regression introduced in 10.14)
- handle new driver:
  o network: et131x, smsc95xx
- fix detecting SMP (was broken we relied on install kernel being non-smp) (#44825)
- fix reading compssUsers.pl if rpmsrate is forced (for example with drakx-in-chroot)

* Sat Oct 11 2008 Thierry Vignaud <tv@mandriva.org> 11.69-1mdv2009.1
+ Revision: 291771
- really fix setting lilo when needed (#39878)
- handle new driver:
  o ide: tx4939ide
- drakx-in-chroot:
  o do not start an X server if using --text
- text mode installer:
  o display a separator before step name
  o properly handle big text in list such as security level
    descriptions (#43561)
- continue installing if an advertising image is corrupted (#37674)
- warn that "preparing bootloader" can take some time (eg: under vbox) (#43036)

* Fri Oct 03 2008 Thierry Vignaud <tv@mandriva.org> 11.68-1mdv2009.0
+ Revision: 291030
- final logo

* Thu Oct 02 2008 Olivier Blin <oblin@mandriva.com> 11.67-1mdv2009.0
+ Revision: 290877
- 11.67
- when upgrading a kde3 box, force installation of task-kde4
- adjust some help IDs
- log activation of light desktop mode
- gtk and interactive install:
  o find default desktop choice according to compssUsers.pl
    (useful for netbook/nettop systems)
  o preselect proper default desktop choice

* Thu Oct 02 2008 Olivier Blin <oblin@mandriva.com> 11.66.1-1mdv2009.0
+ Revision: 290786
- 11.66.1
- fix typo in rpmsrate level setting

* Thu Oct 02 2008 Olivier Blin <oblin@mandriva.com> 11.66-1mdv2009.0
+ Revision: 290779
- 11.66
- detect_devices: allow detection of low resources systems (extracted
  from compssUsers.pl) and netbooks/nettops
- use a minimum rpmsrate level of 5 when netbook/nettop/low_resources
  systems are detected
- set LIGHT rpmsrate flag for netbook/nettop/low_resources systems

* Thu Oct 02 2008 Thierry Vignaud <tv@mandriva.org> 11.65-1mdv2009.0
+ Revision: 290710
- add help button to desktop selection & minimal installation steps
- keep soft links in HTML help directory
- handle anchors in HTML help IDs

* Wed Oct 01 2008 Pixel <pixel@mandriva.com> 11.64-1mdv2009.0
+ Revision: 290487
- 11.64:
- when upgrading a kde3 box and task-kde3 is not on the CDs, propose to reboot
  and upgrade through Mandriva update applet
- add help button for media selection step
- ensure proper centering of popped windows
- fix/adjust some help pages (#42986)
- fix dithering regression (introduced on 2008-09-29)
- install apmd if /proc/apm exists
  (rpmsrate does not list apmd anymore, and apm is a kernel builtin)
- use HTML help for RPM group selection
- when mounting cdrom fails, retry a few times since mount will now fail
  instead of waiting for the drive to recognise the CD (cf #43230)

* Mon Sep 29 2008 Thierry Vignaud <tv@mandriva.org> 11.58-1mdv2009.0
+ Revision: 289342
- ask_deselect_media__copy_on_disk:
  o do not select all media by default (eg: debug media)
    (nb: this dialog occurs when user chooses "Go back to media and packages
    selection" on pkg install error)
  o replace scrolled window around everything
    with a scrolled window around the list of checkboxes
- adapt to fonts-ttf-gurmukhi => fonts-ttf-lohit switch
- add spacing between radio buttons for readability (#44332)
- better positionning of sidepanel's selection bar
- render background of sidepanel with dithering (looks better on 16bit
  displays)
- BuildRequires fonts-ttf-lohit instead of fonts-ttf-gurmukhi
- better positionning of sidepanel's selection bar

* Fri Sep 26 2008 Thierry Vignaud <tv@mandriva.org> 11.56-1mdv2009.0
+ Revision: 288633
- dmraid devices: use isw_xxxxp1 instead of isw_xxxx1 (see #42542, #44182)
- disable disable contextual menu on release notes

* Fri Sep 26 2008 Pixel <pixel@mandriva.com> 11.55-1mdv2009.0
+ Revision: 288536
- 11.55:
- never add usb-storage to scsi_hostadapter
  (never needed, and when wrongly added, it slows the boot)
- ensure DPMS screensaver is not triggered during install
  (it interacts badly with matchbox/compositing) (#44021)
- generate /root/drakx/package_list.pl at end of install
  (since we don't propose "Save packages selection" at end of install)
- generate /var/lib/rpm/installed-through-deps.list
  (to initialize urpmi orphans)
- drakx-in-chroot: do not require running kernel to be installed,
  generate empty modules.dep and modules.alias files instead
  (useful when running drakx-in-chroot from a chroot)

* Thu Sep 25 2008 Thierry Vignaud <tv@mandriva.org> 11.53.2-1mdv2009.0
+ Revision: 288004
- actually use better rendering for background gradient

* Thu Sep 25 2008 Thierry Vignaud <tv@mandriva.org> 11.53-1mdv2009.0
+ Revision: 287989
- better rendering for background gradient

* Wed Sep 24 2008 Pixel <pixel@mandriva.com> 11.52.2-1mdv2009.0
+ Revision: 287906
- 11.52.2: clean_rpmdb_shared_regions before and after calling
  gurpmi.addmedia/gurpmi2 in chroot

* Tue Sep 23 2008 Thierry Vignaud <tv@mandriva.org> 11.52-1mdv2009.0
+ Revision: 287635
- allow setting compssListLevel from command line
- auto-configure floppies (in /etc/modprobe.preload.d/floppy)
- install cpufreq (defaulting to ondemand governor) instead of
  powernowd (#43769)

* Mon Sep 22 2008 Thierry Vignaud <tv@mandriva.org> 11.50.3-2mdv2009.0
+ Revision: 287131
- rebuild with updated translations from drakx-net

* Mon Sep 22 2008 Olivier Blin <oblin@mandriva.com> 11.50.3-1mdv2009.0
+ Revision: 286797
- 11.50.3
- fix/workaround crash when setting banner background
  (Can't call method "get_width" on an undefined value)

* Mon Sep 22 2008 Thierry Vignaud <tv@mandriva.org> 11.50.2-1mdv2009.0
+ Revision: 286709
- RC2 logo

* Mon Sep 22 2008 Thierry Vignaud <tv@mandriva.org> 11.50.1-1mdv2009.0
+ Revision: 286682
- fix 1024x768 background

* Mon Sep 22 2008 Thierry Vignaud <tv@mandriva.org> 11.50-1mdv2009.0
+ Revision: 286649
- handle new driver:
  o ethernet: enic, qlge
- i18n:
  o add support for ibus
- new sidepanel style
- restore support for right alignement for simple widgets
  (regression introduced in 11.46 - 17 September 2008)
- add a special license for google programs (only for "Powerpack" product)
- install "cryptsetup" when needed

* Fri Sep 19 2008 Pixel <pixel@mandriva.com> 11.47.1-1mdv2009.0
+ Revision: 285861
- 11.47.1: bug fix release: add mandatory new modules for dm-crypt

* Fri Sep 19 2008 Pixel <pixel@mandriva.com> 11.47-1mdv2009.0
+ Revision: 285814
- 11.47:
- handle new driver:
  o ethernet: jme
- partitionning step
  o handle partitions encrypted with cryptsetup
  o fix file system type drop down list showing most types as "..." in
    "Change partition type" dialog in expert mode due to ellipsizing
- list btusb instead of hci_usb in bus/bluetooth (renamed in 2.6.27)

* Thu Sep 18 2008 Thierry Vignaud <tv@mandriva.org> 11.46-1mdv2009.0
+ Revision: 285570
- libdrakX:
  o better layout for right aligned widgets
- license: put focus back on Refuse button by default

* Wed Sep 17 2008 Thierry Vignaud <tv@mandriva.org> 11.45-2mdv2009.0
+ Revision: 285364
- BuildRequires perl-Gtk2-WekKit instead of perl-Gtk2-Html2
- allow to prefer kernel-server on x86_64 too
- enable relative links in HTML help
- enhanced 'desktop' & 'package selection' steps
- switch from perl-Gtk2-Html2 to perl-Gtk2-WebKit in order to display release
  notes & help
- use HTML help for package selection, services & summary step

* Tue Sep 16 2008 Thierry Vignaud <tv@mandriva.org> 11.43-1mdv2009.0
+ Revision: 285093
- enhanced 'desktop' & 'package selection' steps
- fix berber language image's transparency
- fix displaying current security level in GUI
  (regression introduced on 2008-08-29)
- increase default window height b/c of package selection step
- refresh partitionning step
- size most labels (workaround infamous 6 years old gnome bug #101968)
  (eg: in advanced language selection)
- update icons for packages/services selection

* Fri Sep 12 2008 Thierry Vignaud <tv@mandriva.org> 11.42-1mdv2009.0
+ Revision: 284201
- increase default window height
- stop claim selecting LSB group will install 2.4.x kernel (#39220)
- desktop step
  o move progress bar on its own line
  o add a separator between buttons & progress bar
  o pack together time label & value

* Thu Sep 11 2008 Thierry Vignaud <tv@mandriva.org> 11.41-1mdv2009.0
+ Revision: 283861
- bump titles' size by 1 (eg: from 12 to 13 for default font settings)
- do not render "Advanced" & "Help" buttons as blue
- fix default spacing between GUI elements
- fix parsing error messages ar markups
- "Help" dialogs:
  o add a separator before "Close" button
  o fix displaying "Help" Button for HTML help
  o put "Close" button of help at right end
- small improvements in many steps (desktop, ...)
- services (thanks to spuk):
  o list ip6tables in "Internet" category
  o list nfs-common and nfs-server in "File sharing" category
  o list rpcbind in "System" category

* Wed Sep 10 2008 Thierry Vignaud <tv@mandriva.org> 11.40-1mdv2009.0
+ Revision: 283578
- libdrakX:
  o fix position of cancel button in popups
  o make advanced popup display the same title as their parents
  o make all popup titles be upcase
- drakboot
  o fix nolapic/lapic logic due to altered kernel settings
- fix input devices detection in rpmsrate (broken for 3 years, #43721)
- do not use UUID for software raid, only for hdx and sdx
- keep current UUID when formatting ext2/ext3 (was already done for swap),
  so that fstab on other distros continue to work (#39913)
  (requires e2fsprogs-1.41.1-2mnb2)
- drop the ability to set mem=xxx in bootloader configuration

* Mon Sep 08 2008 Thierry Vignaud <tv@mandriva.org> 11.38-1mdv2009.0
+ Revision: 282692
- do not size radio button that have a label thus preventing uneeded horizontal
  scrollbars to appear
- partitionning step
  o fix file system type drop down list showing most types as "..." in expert
    mode due to ellipsizing (#43611)
  o fix too large partition bar (#43073)
  o improved GUI

* Wed Sep 03 2008 Thierry Vignaud <tv@mandriva.org> 11.34-1mdv2009.0
+ Revision: 279770
- fix buggy blocking wait_message occuring in diskdrake
  (using a more powerful strategy to ensure such blocking wait_message won't
    bother us anymore)
- fix sizing some label (workarounding infamous 6 years old gnome bug #101968)
- increase help popup size when browsing services or packages
- fix buggy blocking wait_message occuring in diskdrake
  (using a more powerful strategy to ensure such blocking wait_message won't
    bother us anymore)
- fix sizing some label (workarounding infamous 6 years old gnome bug #101968)
- increase help popup size when browsing services or packages

* Tue Sep 02 2008 Thierry Vignaud <tv@mandriva.org> 11.33.1-1mdv2009.0
+ Revision: 279220
- make "ask_warn" dialogs be centered
- further improve layout of media selection step
- "media selection" step: fix position of button (#29367)
- refresh "Summary" step

* Tue Sep 02 2008 Thierry Vignaud <tv@mandriva.org> 11.32-1mdv2009.0
+ Revision: 279146
- fix buggy blocking wait_message occuring in summary (#42062)
- fix layout of media selection step
- fix buggy blocking wait_message occuring in summary (#42062)
- fix layout of media selection step

* Tue Sep 02 2008 Thierry Vignaud <tv@mandriva.org> 11.31.2-1mdv2009.0
+ Revision: 279074
- adjust sizing in order to prevent horizontal scrollbar to appear
- do not size right aligned radio buttons

* Tue Sep 02 2008 Pixel <pixel@mandriva.com> 11.31-1mdv2009.0
+ Revision: 278870
- 11.31: fix "INTERNAL ERROR: ask_from_normalize" at end of installation

* Mon Sep 01 2008 Thierry Vignaud <tv@mandriva.org> 11.30-2mdv2009.0
+ Revision: 278696
- rebuild with latest drakx-net

* Mon Sep 01 2008 Thierry Vignaud <tv@mandriva.org> 11.30-1mdv2009.0
+ Revision: 278511
- keep in $o->{previous_release} the info about upgraded /etc/release,
  and pass "reason" and version to urpmi.addmedia
- 2009.0 RC 1 logo
- hack /tmp/.X11-unix to allow accessing X in chroot
- if network access, configure urpmi with --mirrorlist --distrib,
  and install updates. This replaces the previous "Install Updates" step.
- fix alignment of check buttons
- fix size of right aligned labels
- fix sizing radio buttons' labels (infamous 6 years old gnome bug #101968)
- further improvements to the "bootloader", "desktop" & "partitionning" steps
- prevent big combo boxes to cause an horizontall scrollbar to appear by
  using the "ellipsize" property
- remove "Generate auto install floppy" & "Save packages selection"
  options at end of installation
- update package managment icons
- use pcmcia-socket-startup from /lib/udev for latest pcmciautils

* Fri Aug 29 2008 Thierry Vignaud <tv@mandriva.org> 11.29-1mdv2009.0
+ Revision: 277424
- do not try starting graphical installer on early i810 (which is is
  not supported), thus prevent waiting several minutes needlessly
- refresh "Individual package selection" step
- refresh "Security" step
- refresh "Summary" step

* Fri Aug 29 2008 Thierry Vignaud <tv@mandriva.org> 11.28-1mdv2009.0
+ Revision: 277347
- fix buggy blocking wait_message occuring in summary (#42062)
- diskdrake: use udevadm settle instead of udevsettle
- refresh "Package Group Selection" step

* Fri Aug 29 2008 Thierry Vignaud <tv@mandriva.org> 11.27-1mdv2009.0
+ Revision: 277193
- configure vga=785 (640x480) when vga=788 (800x600) fails during install
  (useful on 800x480 netbooks)
- text mode:
  o fix displaying release notes in (#43263)

* Thu Aug 28 2008 Thierry Vignaud <tv@mandriva.org> 11.26.1-1mdv2009.0
+ Revision: 276816
- fix asterisk in titles

* Wed Aug 27 2008 Thierry Vignaud <tv@mandriva.org> 11.26-1mdv2009.0
+ Revision: 276683
- better layout in 640x480 (#43231)
- fix "probe floppies only once" (#43216)
- misc GUI improvements
  o misc changes
  o properly size some labels (infamous 6 years old gnome bug #101968)
  o refresh "user management" step
  o render some titles as blue
  o set some wait messages' titles

* Wed Aug 27 2008 Thierry Vignaud <tv@mandriva.org> 11.25-1mdv2009.0
+ Revision: 276514
- left sidepanel:
  o align category titles like step ones

* Tue Aug 26 2008 Thierry Vignaud <tv@mandriva.org> 11.24-2mdv2009.0
+ Revision: 276167
- allow to install bootloader on md0 (#42999)
  (regression introduced on 2004-08-05)
- handle blowfish password encryption and use it by default (#42426)
- minor GUI tweaks
- allow to install bootloader on md0 (#42999)
  (regression introduced on 2004-08-05)
- handle blowfish password encryption and use it by default (#42426)
- minor GUI tweaks

* Fri Aug 22 2008 Thierry Vignaud <tv@mandriva.org> 11.23-1mdv2009.0
+ Revision: 275162
- pop wait_messages and ensure same window is used for next wait_messages
  (to ensure the background is not greyed,ungreyed,greyed,...)
- improved license step
- install lilo when needed (#39878)
- render some message titles as blue

* Fri Aug 22 2008 Thierry Vignaud <tv@mandriva.org> 11.21-1mdv2009.0
+ Revision: 275063
- ensure we don't default on the first keyboard layout when upgrading french
  box in english lang (#41103)
- do not set $HOME while installing packages (#18088)
- install proper qtX package for gcin
- partitionning step
  o ensure we initialize only once but at least one, thus fixing crash
    when embedded or in installer (#43011)

* Thu Aug 21 2008 Thierry Vignaud <tv@mandriva.org> 11.20-1mdv2009.0
+ Revision: 274561
- do not uselessly install kernel-server on x86_64 if more than 3.8Gb
  are availlable
- diskdrake
  o fix sizing partitions bar (#24410)

* Wed Aug 20 2008 Thierry Vignaud <tv@mandriva.org> 11.19-1mdv2009.0
+ Revision: 274248
- usbkbd is dead, using usbhid instead
- allow passing suppl=0 to disable "additional installation media" question
- drakx-in-chroot:
  o fix using remote repositories
- set title for advanced dialogs
- small GUI improvements

* Tue Aug 19 2008 Thierry Vignaud <tv@mandriva.org> 11.18-1mdv2009.0
+ Revision: 273921
- center sub dialogs
- prevent flickering of big windows by:
  o ignoring bogus size-allocate events
  o properly computing window position
- stop reducing help & release notes dialogs'

* Tue Aug 19 2008 Thierry Vignaud <tv@mandriva.org> 11.17-1mdv2009.0
+ Revision: 273886
- drakx-in-chroot:
  o enable to choose resolution of Xvfb
  o enable to use a package repository different from installer one
- use new style popup button for 'help' & 'release notes' buttons

* Tue Aug 19 2008 Thierry Vignaud <tv@mandriva.org> 11.15-1mdv2009.0
+ Revision: 273672
- fix crash with advanced widgets
- fix crashing on some buttons
- fix bogus popup of 'desktop choice' dialog
- authentication: enable network-auth meta-service if auth is not local

* Mon Aug 18 2008 Olivier Blin <oblin@mandriva.com> 11.13-1mdv2009.0
+ Revision: 273387
- 11.13
- move hardware packages detection code from installer to drakxtools

* Mon Aug 18 2008 Thierry Vignaud <tv@mandriva.org> 11.12-1mdv2009.0
+ Revision: 273305
- align titles to the left
- display a separator below titles
- justify big texts
- popup advanced settings in dialogs
- refresh:
  o language step
  o license step

* Mon Aug 18 2008 Thierry Vignaud <tv@mandriva.org> 11.11-1mdv2009.0
+ Revision: 273219
- 2009.0 beta 2 logo
- l10n:
  o fix selecting locales-XX for locales that specify scripting (#42663)
  o update list of locales
  o update list of KDE languages for KDE4

  + Pixel <pixel@mandriva.com>
    - require new drakx-kbd-mouse-x11 to have 24bpp by default

* Wed Aug 13 2008 Thierry Vignaud <tv@mandriva.org> 11.9.1-1mdv2009.0
+ Revision: 271507
- fix left panel in 1024x768

* Wed Aug 13 2008 Thierry Vignaud <tv@mandriva.org> 11.9-1mdv2009.0
+ Revision: 271382
- new title style
- partition wizard:
  o refreshed GUI

* Wed Aug 13 2008 Thierry Vignaud <tv@mandriva.org> 11.8.1-1mdv2009.0
+ Revision: 271341
- really add deskop images

* Tue Aug 12 2008 Thierry Vignaud <tv@mandriva.org> 11.8-1mdv2009.0
+ Revision: 271143
- default to UTF-8 for chinese simplified (#42137)
- new desktop choice screen

* Mon Aug 11 2008 Thierry Vignaud <tv@mandriva.org> 11.7-1mdv2009.0
+ Revision: 270819
- handle new drivers:
  o ethernet: r6040
  o gigabit: atl1e, bnx2x, sfc
  o PATA: pata_ninja32, pata_ns87415
  o SCSI: mvsas
  o USB host controller: isp1760
  o WAN: lapbether
  o wireless: rndis_wlan, rtl8180
- add product type to URL when fetching mirror list

* Mon Aug 04 2008 Thierry Vignaud <tv@mandriva.org> 11.3-1mdv2009.0
+ Revision: 263367
- fix spacing around buttons

* Mon Aug 04 2008 Thierry Vignaud <tv@mandriva.org> 11.2-2mdv2009.0
+ Revision: 262916
- rebuild for new matchbox

* Thu Jul 31 2008 Olivier Blin <oblin@mandriva.com> 11.2-1mdv2009.0
+ Revision: 257774
- 11.2
- include extmod Xorg module (for SHAPE extension)

* Thu Jul 31 2008 Olivier Blin <oblin@mandriva.com> 11.1-1mdv2009.0
+ Revision: 257581
- 11.1
- do not require matchbox gconf schema
  (not provided by drakx-installer-matchbox)

  + Thierry Vignaud <tv@mandriva.org>
    - first steps toward new installer style
    - BuildRequires: drakx-installer-matchbox

* Mon Jul 28 2008 Thierry Vignaud <tv@mandriva.org> 10.48-1mdv2009.0
+ Revision: 251098
- 2009.0 beta 1 logo
- drakx-in-chroot: prefer Xephyr over Xnest since Xnest lacks many
  extensions needed by matchbox-window-manager

* Thu Jul 10 2008 Olivier Blin <oblin@mandriva.com> 10.47-1mdv2009.0
+ Revision: 233400
- 10.47
- load disk/scsi before disk/ide since libata is now the default
  (to prevent modules::load_category from loading ide-generic too early)
- fix reading and setting kdmrc (by resolving alternative in chroot)

* Thu Jul 10 2008 Olivier Blin <oblin@mandriva.com> 10.46-1mdv2009.0
+ Revision: 233219
- 10.46
- authentication:
  o add back fix to force the password to be utf8 (#23273)
  o fix reading md5/shadow options in /etc/pam.d/system-auth

* Wed Jul 09 2008 Olivier Blin <oblin@mandriva.com> 10.45-1mdv2009.0
+ Revision: 233050
- 10.45
- update autologin file path for kdm4
- default to KDE4 (instead of KDE) if kdm config exists when reading
  autologin configuration
- change default authentication to local (instead of ldap)

* Tue Jul 08 2008 Pixel <pixel@mandriva.com> 10.44-1mdv2009.0
+ Revision: 232726
- 10.44: 2009.0 alpha 2 logo

* Mon Jul 07 2008 Pixel <pixel@mandriva.com> 10.43-2mdv2009.0
+ Revision: 232612
- rebuild for fixed rpm

* Fri Jul 04 2008 Olivier Blin <oblin@mandriva.com> 10.43-1mdv2009.0
+ Revision: 231699
- 10.43
- detect KDE4 when configuring autologin

* Thu Jun 26 2008 Pixel <pixel@mandriva.com> 10.42-1mdv2009.0
+ Revision: 229332
- 10.42: fix reading rpm macros from /etc/macros.d/ (esp. %%_filetriggers_dir)

* Thu Jun 26 2008 Pixel <pixel@mandriva.com> 10.41-1mdv2009.0
+ Revision: 229302
- 10.41: 2009.0 alpha 1 logo

* Wed Jun 25 2008 Olivier Blin <oblin@mandriva.com> 10.40-1mdv2009.0
+ Revision: 228953
- 10.40
- add support for dm-raid4-5 (tmb)
- add back desktop choice window (by checking task-kde4 instead of task-kde)

* Fri Jun 20 2008 Pixel <pixel@mandriva.com> 10.38-1mdv2009.0
+ Revision: 227543
- 10.38:
- force back 75dpi to get back previous font sizes
- adapt to cooker file changes
- do not let authentication module (used for ask_user_and_root) mess window size

* Fri Jun 13 2008 Olivier Blin <oblin@mandriva.com> 10.36-1mdv2009.0
+ Revision: 218641
- 10.36
- fix authentication configuration

* Thu Jun 12 2008 Olivier Blin <oblin@mandriva.com> 10.35-1mdv2009.0
+ Revision: 218499
- 10.35
- adapt to xserver/SecurityPolicy being in /usr
- 10.34
- partitioning wizard:
  o do not propose to resize "hidden" fat partitions
  o do not say "the Windows partition" when there can be more than one
- use UUID for resume= kernel parameter
- handle new drivers:
  o pata: pata_sch
- handle renamed drivers:
  o ide-cd is now named ide-cd_mod
  o generic is now named ide-pci-generic
- kernel-laptop is no more

* Thu Apr 24 2008 Pixel <pixel@mandriva.com> 10.30-2mdv2009.0
+ Revision: 197206
- rebuild with fixed perl-MDK-Common (1.2.12)

* Thu Apr 24 2008 Olivier Blin <oblin@mandriva.com> 10.30-1mdv2009.0
+ Revision: 197074
- rebuilt with new ldetect-lst (to use libata pata by default)
- 10.30
- /sbin/usb_id is needed by mouse.pm to generate /dev/input/by-id/xxx (#39868)
  (and not /LIB/udev/usb_id since drakx-kbd-mouse-x11 0.42)
- list generic module in disk/ide

* Thu Apr 03 2008 Olivier Blin <oblin@mandriva.com> 10.29-1mdv2008.1
+ Revision: 192257
- 10.29
- time: write UTC setting in /etc/adjtime (#36522)

* Thu Apr 03 2008 Olivier Blin <oblin@mandriva.com> 10.28-2mdv2008.1
+ Revision: 192210
- rebuild for ldetect, perl-MDK-Common and drakx-net

* Thu Apr 03 2008 Pixel <pixel@mandriva.com> 10.28-1mdv2008.1
+ Revision: 192172
- 10.28:
- fix computed install size in group selection (#39303)
  (it didn't take suggests into account)

* Thu Apr 03 2008 Thierry Vignaud <tv@mandriva.org> 10.27-1mdv2008.1
+ Revision: 192081
- 2008.1 logo (the good one)
- enable to restore the system through rsnapshot if giving "restore"
  on cmdline
- fix broken help because of s/pt_BR/pt_br/ change in file names (#36774)

* Wed Apr 02 2008 Pixel <pixel@mandriva.com> 10.26-1mdv2008.1
+ Revision: 191549
- 10.26:
- 2008.1 logo
- fix crash when detecting network connection with supplementary media

* Mon Mar 31 2008 Pixel <pixel@mandriva.com> 10.23-1mdv2008.1
+ Revision: 191195
- 10.23:
- ensure umount on loopback-mounted-file doesn't leak /dev/loop
  (otherwise it breaks install from isos on disk) (#36992)
- warn the user and propose to install/quit-install before upgrading from a
  partition where "/" is ext3 with block-size 1KB to avoid kernel bug (#37583)
- detect as laptop systems with ACPI lid button
  (i.e. if /sys/bus/acpi/devices/PNP0C0D:* exists)
- fix computing time according to timezone in local/UTC dialog
  (by using zoneinfo files from the installed prefix)

* Thu Mar 27 2008 Olivier Blin <oblin@mandriva.com> 10.21-2mdv2008.1
+ Revision: 190767
- rebuild with latest drakx-net (for shorewall fixes)

* Tue Mar 25 2008 Thierry Vignaud <tv@mandriva.org> 10.21-1mdv2008.1
+ Revision: 190156
- partitioning wizard: allow "Use free space" if there is an extended
  partition even if all primary partitions are used (#38804)
  (*old* bug!)
- fix errors while setting PA preferences (#39270)
- use umask=0 by default on vfat (#39315)
- root/user password:
  o force the password to be utf8 (#23273)

* Fri Mar 21 2008 Thierry Vignaud <tv@mandriva.org> 10.19-1mdv2008.1
+ Revision: 189434
- diskdrake:
  o fix setting mount point of a /dev/mdX (#39142)
    (regression introduced in 10.8)
- when skipping bootloader installation, correctly say "None" in summary
  (#39101)
- correctly set country when given lang=xxx on /proc/cmdline
  (regression introduced in 10.16) (#39104)

* Fri Mar 21 2008 Olivier Blin <oblin@mandriva.com> 10.18-1mdv2008.1
+ Revision: 189299
- 10.18
- when reformatting swap, keep existing UUID (#38877)
- ask which drive to install bootloader if we don't really know which
  is first bios drive (cf #38829)
- fix reading alternatives in install
- add Xorg.0.log to report.bug.gz (to help diagnose why X failed)

* Thu Mar 20 2008 Olivier Blin <oblin@mandriva.com> 10.17-1mdv2008.1
+ Revision: 189073
- 10.17
- do not unconfigure timezone if timezone screen is canceled (#33565)
- update OpenOffice/BrOffice alternative according to selected lang (#37820)

* Tue Mar 18 2008 Thierry Vignaud <tv@mandriva.org> 10.16-2mdv2008.1
+ Revision: 188599
- adduserdrake:
  o display kdm/gdm icon again (was disabled on year ago)
- do not write aliases for asus_acpi and thinkpad_acpi in
  modprobe.preload, the modules are now handled by coldplug
- fix setting default lang (which is given by gfxboot)

* Tue Mar 18 2008 Thierry Vignaud <tv@mandriva.org> 10.15-2mdv2008.1
+ Revision: 188442
- rebuild with a more robust resize2fs
- BuildRequires: draksnapshot

* Fri Mar 14 2008 Olivier Blin <oblin@mandriva.com> 10.15-1mdv2008.1
+ Revision: 188021
- require new drakx-net
- 10.15
- 2008.1 RC2 logo

* Fri Mar 14 2008 Pixel <pixel@mandriva.com> 10.14-1mdv2008.1
+ Revision: 187922
- 10.14:
- adapt to cooker:
  o brltty libraries are now correctly in /lib64 on x86_64
- 10.13:
- mount ntfs-3g as ntfs during install
  (fixes adding "windows" entry in bootloader)
- really fix partition device name for some dmraid (missing "p", cf #38363)
- cpufreq: fix gsx-suspmod probe
- do not propose to upgrade non-mandriva and non-conectiva distros (#38408)

* Thu Mar 06 2008 Thierry Vignaud <tv@mandriva.org> 10.10-1mdv2008.1
+ Revision: 181000
- fix resizing/formatting ntfs, and create "Windows" entry in bootloader
  (broken because of ntfs-3g switch in previous release)
- install kernel586 on Transmeta Crusoe TM5800 (#37866)
- do not load i810fb, rely on vesa xorg drive instead (it may help #37772)
- restore correct configuration of nfs/hd media in urpmi.cfg
  (regression introduced in 10.8)
- fix partition device name for some dmraid (missing "p", cf #38363)
- do not timeout after 10 minutes when resizing NTFS partition

* Tue Mar 04 2008 Pixel <pixel@mandriva.com> 10.8-1mdv2008.1
+ Revision: 178327
- 10.8:
- adapt code to upgrade from redhat for mdv extensions (& for Manbo
  Core by the way)
- auto allocate: do not create /home if drive is smaller than 7GB
- do not propose to deselect media if none can be deselected
- no more /media/cdrom in fstab by default (#35055)
  (not needed anymore by urpmi)
- use cdrom:// instead of removable:// in urpmi.cfg (urpmi 5.7)
- use and install ntfs-3g by default for ntfs partitions (#37823)

* Fri Feb 29 2008 Olivier Blin <oblin@mandriva.com> 10.6.25-3mdv2008.1
+ Revision: 176806
- rebuild with non-x86_64-broken ldetect

* Fri Feb 29 2008 Olivier Blin <oblin@mandriva.com> 10.6.25-2mdv2008.1
+ Revision: 176681
- rebuild with new drakx-net

* Fri Feb 29 2008 Olivier Blin <oblin@mandriva.com> 10.6.25-1mdv2008.1
+ Revision: 176566
- 10.6.25
- API changes for draklive-install

  + Pixel <pixel@mandriva.com>
    - rebuild to have drakx-kbd-mouse-x11 >= 0.49

* Thu Feb 28 2008 Pixel <pixel@mandriva.com> 10.6.24-1mdv2008.1
+ Revision: 176224
- 10.6.24:
- do not assign a mount point to partitions of type "Compaq diagnostics"
- 2008.1 RC1 logo

* Mon Feb 25 2008 Thierry Vignaud <tv@mandriva.org> 10.6.23-1mdv2008.1
+ Revision: 174983
- adapt to cooker:
  o jfsprogs is now jfsutils
- change background color
- jfsprogs is now jfsutils

* Tue Feb 19 2008 Olivier Blin <oblin@mandriva.com> 10.6.21-1mdv2008.1
+ Revision: 173067
- 10.6.21
- adapt to cooker rpm macros new locations

  + Thierry Vignaud <tv@mandriva.org>
    - do not create alt_windows unless needed
      (regression introduced on 2007-11-26) (#37722)
    - install linuxwacom if needed
    - load disk/ide before disk/scsi, or else sata_sis may be loaded for a
      SATA controller and trigger pata_sis loading before sis5513 is loaded,
      which would defeat an eventual alias to sis5513 for a PATA controller
    - cpufreq:
      o use acpi-cpufreq for Mobile PIII/Celeron
        (family 6 model 11, for example Toshiba Port?\195?\169g?\195?\169 3500)
      o use speedstep-centrino only for supported models
        and prefer acpi-cpufreq (patch from Herton, #30208)
      o use p4-clockmod for some Intel family 6 processors not supporting EST

* Tue Feb 12 2008 Pixel <pixel@mandriva.com> 10.6.19-1mdv2008.1
+ Revision: 166214
- 10.6.19:
- do not propose "KDE, GNOME or Custom" profiles if the partition is small
  (< 2.5GB) otherwise the installer will not be able to install the full profile
- auto partitioning: ensure the "/" is bigger on small drives

* Tue Feb 12 2008 Olivier Blin <oblin@mandriva.com> 10.6.18-1mdv2008.1
+ Revision: 165642
- 10.6.18
- adapt to modules being in /lib/modules/`uname -r`

* Mon Feb 11 2008 Pixel <pixel@mandriva.com> 10.6.16-1mdv2008.1
+ Revision: 165324
- 10.6.16:
- Xorg needs xkb/rules/base, otherwise it can go crazy (#35912)
- add mkntfs (#37462)
- detect systems with C7-M processor as laptop (like Belinea s.book)

* Fri Feb 08 2008 Pixel <pixel@mandriva.com> 10.6.13-3mdv2008.1
+ Revision: 164216
- rebuild for fixed "kbd" X driver

* Fri Feb 08 2008 Pixel <pixel@mandriva.com> 10.6.13-2mdv2008.1
+ Revision: 163994
- rebuild with latest ldetect-lst

* Tue Feb 05 2008 Pixel <pixel@mandriva.com> 10.6.13-1mdv2008.1
+ Revision: 162686
- 10.6.13:
- add "vesa" X driver to use when framebuffer fails
  (useful for boxes which work with vga=785 which is not the default, in that
  case "vesa" should work)

* Tue Feb 05 2008 Pixel <pixel@mandriva.com> 10.6.12-1mdv2008.1
+ Revision: 162639
- rebuild with new x11-server (#35912)
- 10.6.12:
- 2008.1 beta2 logo
- set $::isInstall soon enough for fs::type data-structure creation:
  fixes reiser4 appearing in diskdrake during install (#36999)
- add grub entries to allow booting other installed distros
  (using grub "configfile") (see #16604)

* Wed Jan 30 2008 Thierry Vignaud <tv@mandriva.org> 10.6.10-1mdv2008.1
+ Revision: 160232
- handle new drivers:
  o ethernet: cpmac
  o gigabit: ipg
  o pata/sata: pata_bf54x, sata_fsl
  o sound: snd-at73c213
  o tv cards: cx23885
  o webcams: tcm825x
- fix detecting existing LVMs (#31228)
  (regression introduced in 10.4.204 (?))
- fix ensuring X is launched on tty7 (cf #37087)
- fix handling LVM VGs with "-" in the name (#37267)
- call X with -nolisten tcp to avoid "security" issues (#18320)
  (nb: this implies "xhost+" helper prog is not useful anymore)
- do not propose ext4dev filesystem during install (#37157)
- rebuild with a mke2fs friendler for user EA & a fsck friendly enough to not
  run fsck for dummy reasons on startup

* Thu Jan 24 2008 Thierry Vignaud <tv@mandriva.org> 10.6.8-1mdv2008.1
+ Revision: 157533
- 2008.1 beta1 logo
- look for LVM PV on non partitioned disk before looking for DOS
  partition_table (esp. for lilo which puts the DOS magic)

* Tue Jan 22 2008 Pixel <pixel@mandriva.com> 10.6.7-1mdv2008.1
+ Revision: 156295
- 10.6.7:
- add xkb/symbols/inet (which is now needed by default for pc105)

* Tue Jan 22 2008 Pixel <pixel@mandriva.com> 10.6.6-1mdv2008.1
+ Revision: 156269
- 10.6.6:
- adapt to perl 5.10.0
- create /dev/cdrom symlink for installer (#36703)
- do not put "windows" entry in bootloader for partitions where Windows is not
  present (#8086)
- 10.6.5:
- do not sort languages in "choose language" step in graphical mode, since the
  sort is done on the non-translated strings (eg: we display "Espanol" but we
  sort on Spanish )
- require e2fsprogs with fixed blkid for ntfs (#36144)

* Wed Jan 09 2008 Pixel <pixel@mandriva.com> 10.6.3-1mdv2008.1
+ Revision: 147148
- 10.6.3:
- adapt to cooker:
  o /usr/lib/gconv/KOI8-K.so is no more, take KOI8-*.so
- don't buildrequire rpm >= 4.4.8 (since we now use 4.4.2.2)
- 10.6.2:
- 2008.1 alpha2 logo
- adapt to cooker:
  o DejaVuSans-Bold*.ttf instead of DejaVuSansBold*.ttf (again!)
  o no more /etc/rpm/platform (for rpm 4.4.2.2)
- install SMP packages when "match_all_hardware" option is set

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Pixel <pixel@mandriva.com> 10.6.1-1mdv2008.1
+ Revision: 118997
- 10.6.1:
- ensure failing to build mdkinst.sqfs is a fatal error
- drakx-in-chroot:
  o just like stage1, handle <root of distrib> ending with current arch() so
  that we can access main32 on x86_64
- do not rebuild rpmdb if it is ok
  (will workaround #32547) (need perl-URPM 3.01)
- adapt to perl-URPM 3.00 API to parse pubkey files
- adjust Uzbek locale (cf locales-uz change)
- sort languages in "choose language" step in text mode
- diskdrake:
  o drop "Undo", "Restore partition table", "Save partition table"
    (preparing to switch to libparted)
- don't check /proc/partitions for a partition_table::lvm
  (ie PV on non partitioned drive)

* Fri Nov 30 2007 Pixel <pixel@mandriva.com> 10.5.6-1mdv2008.1
+ Revision: 114184
- 10.5.6:
- restrict the proposed input-methods for each language
- /dev/<vg> may not exist if LVs have not been created, it must not be an error (#31478)
- use xkb instead of xmodmap
  (this fixes XF86_Switch_VT_X not defined in our xmodmaps)
- save bootloader on MBR when calling grub/install.sh, and restore it before
  calling it again (#35255) (ie implement "lilo -u" for grub)
- ensure /etc/sysconfig/console/default.kmap is generated with installed
  keymaps, not installer simplified (?) .bkmap (#35376)
- fix wrongly detecting some devices as laptop specific (#35759)
- add /etc/mke2fs.conf symlink so that mke2fs can use it (cf #27377)
- don't be strict on ldetect-lst version, only require at least version xxx

* Wed Nov 14 2007 Pixel <pixel@mandriva.com> 10.5.5-1mdv2008.1
+ Revision: 108655
- 10.5.5: adapt to cooker:
  o kbd_drv.so instead of keyboard_drv.so
  o DejaVuSansBold*.ttf instead of DejaVuSans-Bold*.ttf
- 10.5.4:
- use UUID by default (in fstab, bootloader)
- localedrake:
  o fix handling variant together with charset (eg: uz.UTF-8@Latn) (#35090)
- partitioning wizard: ensure existing_part and resize_fat are proposed before
  wipe_drive
- in case of ftp/http media, we select basesystem before doing
  bestKernelPackage so we must ensure the choice callback selects the good
  kernel (reported by Thomas Spuhler on cooker mailing list)
- do propose "Suisse" after selecting french language (#34675)
- use time() to know when to timeout (when launching installer X server)
  since the loop may be slower than 1 second (xf86misc::main::Xtest takes time
  on a failing X server on i810). Also print a message telling user to wait
  after 8 seconds.

* Fri Oct 05 2007 Thierry Vignaud <tv@mandriva.org> 10.4.238-2mdv2008.0
+ Revision: 95644
- rebuild with latest installer doc

* Fri Oct 05 2007 Pixel <pixel@mandriva.com> 10.4.238-1mdv2008.0
+ Revision: 95614
- 10.4.238:
- do not use pseudo Protocol "vboxmouse" during install, use "IMPS/2" instead

* Fri Oct 05 2007 Olivier Blin <oblin@mandriva.com> 10.4.236-2mdv2008.0
+ Revision: 95567
- explicitely buildrequire ldetect-lst 0.1.199-2mdv2008.0

* Thu Oct 04 2007 Pixel <pixel@mandriva.com> 10.4.236-1mdv2008.0
+ Revision: 95475
- rebuild with drakx-kbd-mouse-x11 0.37
- 10.4.236:
- fix copying of ../../i586/media/main medium
  (for dual_arch CDs sharing the i586 medium)
- fix configuring kdeglobals (was broken because of /etc/kderc using
  udpate-alternatives which use absolute symlinks)

* Thu Oct 04 2007 Pixel <pixel@mandriva.com> 10.4.233-1mdv2008.0
+ Revision: 95397
- rebuild with drakx-kbd-mouse-x11 0.36
- save "rpm -qa" in /usr/share/doc/drakx-installer-stage2/build-rpms.lst
- 10.4.233:
- use /dev/cdrom in fstab, but do not write corresponding udev rule
  (the rules will be generated at boot time otherwise it won't catch the
  hdX/srX switch)

* Thu Oct 04 2007 Olivier Blin <oblin@mandriva.com> 10.4.232-1mdv2008.0
+ Revision: 95283
- 10.4.232
- add helper to get kernel module path (to be used in draklive)

* Wed Oct 03 2007 Pixel <pixel@mandriva.com> 10.4.228-1mdv2008.0
+ Revision: 95036
- 10.4.228:
- use /dev/cdrom in fstab, and write corresponding udev rule
  (the rules were generated at boot time but here we ensure consistent naming)
- 2008 logo
- bootloader:
  o if there is a /boot, check /boot instead of "/" to allow grub or not

* Tue Oct 02 2007 Thierry Vignaud <tv@mandriva.org> 10.4.227-1mdv2008.0
+ Revision: 94714
- diskdrake:
  o improved wrapping of mount option descriptions (#19848)
- add ath5k module in wireless category

* Mon Oct 01 2007 Pixel <pixel@mandriva.com> 10.4.224-1mdv2008.0
+ Revision: 94165
- build with perl-URPM 2.07 (which handle precompiled kmod pkgs choice)
- 10.4.224:
- don't keep noarch pkgs symlinked (to ../../../i586/media/main/xxx.rpm)
  when copying packages on disk

* Mon Oct 01 2007 Pixel <pixel@mandriva.com> 10.4.223-1mdv2008.0
+ Revision: 94111
- 10.4.223:
- diskdrake:
  o bugfix 10.4.162: allow "LVM" on RAID (#34359)
- add acpi-cpufreq support for some Intel CPUs (family 6 model 15)
  (from Herton Ronaldo Krzesinski, #30208)

* Fri Sep 28 2007 Pixel <pixel@mandriva.com> 10.4.220-1mdv2008.0
+ Revision: 93644
- 10.4.220: cleanup __db* files
- rebuild with rpm not using DB_PRIVATE nor global RPMLOCK
- 10.4.219: ensure the rpmdb is closed

* Fri Sep 28 2007 Pixel <pixel@mandriva.com> 10.4.218-1mdv2008.0
+ Revision: 93556
- 10.4.218: add /etc/rpm/macros.cdb

* Thu Sep 27 2007 Thierry Vignaud <tv@mandriva.org> 10.4.217-1mdv2008.0
+ Revision: 93353
- help:
  o do not segfault on #foobar like anchors
  o try translated links first (#33679)

* Thu Sep 27 2007 Pixel <pixel@mandriva.com> 10.4.216-1mdv2008.0
+ Revision: 93242
- rebuild with bug-fix drakx-kbd-mouse-x11 0.32
- 10.4.216:
- allow to choose countries like "Angola" which have no locale (en_AO) in the
  "best" countries (alas it won't be remembered, will only be used in kde
  settings for now)

* Wed Sep 26 2007 Thierry Vignaud <tv@mandriva.org> 10.4.215-1mdv2008.0
+ Revision: 93187
- display nicer HTML release notes rather than raw text version
- fix using iso CD2 on disk (#33022):
  o remove " from medium name when reading media.cfg
  o handle "Volume id" ending with -CD[123] instead of -Disc[123]
- handle @::auto_steps in patch-oem.pl

* Wed Sep 26 2007 Thierry Vignaud <tv@mandriva.org> 10.4.214-1mdv2008.0
+ Revision: 93077
- do not ask desktop choice in upgrade (#34025)
- fix displaying help in custom partition (#33994)
- BuildRequires nfs-utils-clients for mount.nfs
- add mount.nfs binary (since mount doesn't handle nfs fs anymore)
- don't ask for desktop and go directly to choose groups if kde and gnome are
  not available on media (useful for mini iso)
- don't crash install when mounting CD fails (#33421)

* Mon Sep 24 2007 Pixel <pixel@mandriva.com> 10.4.211-1mdv2008.0
+ Revision: 92592
- 10.4.211:
- on upgrade, don't add resume=xxx if noresume is there (#33953)
- diskdrake
  o fix "Add to LVM"
- do not display any message when user screenshot when chrooted during install
  of pkgs (#33752)
- don't add resume=xxx to bootloader configuration if there is noresume (#33953)
- ignore /proc/partitions when "solaris" extended partition is present (#33866)
- translate the pkg summary when mdv-rpm-summary info is available
  (for the "Details" mode when installing packages)
- ensure mdv-rpm-summary is installed first (if selected)

* Fri Sep 21 2007 Thierry Vignaud <tv@mandriva.org> 10.4.207-1mdv2008.0
+ Revision: 91699
- localization:
  o default input method is now scim-bridge (#32138)

* Thu Sep 20 2007 Thierry Vignaud <tv@mandriva.org> 10.4.206-1mdv2008.0
+ Revision: 91405
- fix some banner icons (#33802)

* Thu Sep 20 2007 Olivier Blin <oblin@mandriva.com> 10.4.205-1mdv2008.0
+ Revision: 91313
- 10.4.205
- stop configuring TV cards in summary since kernel do a better job now
- fix passing module options when module name contains a '-' character
- add dkms-modules.alias and ldetect-lst-modules.alias files in stage2

* Wed Sep 19 2007 Pixel <pixel@mandriva.com> 10.4.204-1mdv2008.0
+ Revision: 91007
- 10.4.204:
- individual package selection: make the package "Info" non editable
- diskdrake:
  o "Clear All" defaults to LVM on full disk if drive is >4TB
  o do not allow partitions bigger than 2TB-1 on DOS MBR, nor partitions
    starting above 2TB-1
- restore banner on pop up messages (#33753)
- handle /boot/xxx files on linux raid1
- when basesystem can't be selected, display the reason
- also load dm-zero for dmraid
- add RC2 banner

* Mon Sep 17 2007 Pixel <pixel@mandriva.com> 10.4.201-1mdv2008.0
+ Revision: 89123
- 10.4.201:
- fix loading dependencies of kernel module "xxx-yyy" (instead of "xxx_yyy")
  (eg: dm-mirror)
- report_bug: hide grub password (#33634)
- fix blocking wait_message (when they pop) (#33676, #33670)
- advertising: restore support for $title in .pl files (wrongly dropped in 10.4.195)
- localization:
  o fix installing packages according to desktop
- boot loader config:
  o boot entrie list uses ellipsis rather than scroll bar

* Mon Sep 17 2007 Olivier Blin <oblin@mandriva.com> 10.4.199-1mdv2008.0
+ Revision: 88849
- 10.4.199
- fix loading of tifm_sd module

* Sun Sep 16 2007 Thierry Vignaud <tv@mandriva.org> 10.4.198-1mdv2008.0
+ Revision: 87733
- fix a crash
- localization:
  o install scim-bridge-qt4 if KDE4 is installed

* Sat Sep 15 2007 Thierry Vignaud <tv@mandriva.org> 10.4.197-1mdv2008.0
+ Revision: 87175
- localization:
  o enable to select 'scim-bridge' as IM
  o install needed packages for skim
  o install scim-qtimm for scim default config
  o remove extra SCIM combinations (simpler)

* Fri Sep 14 2007 Pixel <pixel@mandriva.com> 10.4.196-1mdv2008.0
+ Revision: 85663
- 10.4.196:
- fix typo breaking reading fstab with UUID= entries
- don't set $o->{security} until accepted (#33567)
- packageCallbackChoices: use prefered packages given by perl-URPM 2.00

* Fri Sep 14 2007 Olivier Blin <oblin@mandriva.com> 10.4.195-1mdv2008.0
+ Revision: 85425
- 10.4.195: fix loading of tifm_sd module (#18237)

* Thu Sep 13 2007 Thierry Vignaud <tv@mandriva.org> 10.4.194-1mdv2008.0
+ Revision: 85267
- do not allow to upgrade i586->x86_64 or x86_64->i586 (#33370)
- do not configure "windows" bootloader entries for "hidden" partitions
- fix unwrapped label (#33243)
- fix grub hanging if /boot on xfs (#33267)
- use user_xattr by default on reiserfs (#15068)
- for wait_message, display a banner and move "Please Wait" in the banner

  + Pixel <pixel@mandriva.com>
    - correct license (GPLv2+)

* Wed Sep 05 2007 Thierry Vignaud <tv@mandriva.org> 10.4.191-1mdv2008.0
+ Revision: 80331
- "choose desktop" step:
  o put images along labels in RadioButtons (HIG)
- summary screen:
  o add spacing around separators
  o fix not displaying the security group
- drop support for iiimf
- update bootloader & updates banner icons

* Wed Sep 05 2007 Thierry Vignaud <tv@mandriva.org> 10.4.190-1mdv2008.0
+ Revision: 80042
- display a warning when capslock is enabled and entering a password (#33028)
- fix insmoding raid0 (#33172)
- summary screen:
  o add spacing between elements
  o add an horizontal bar between elements
- hardware detection layer:
  o add support for tape device again (#31073)
  o enumerate generic SCSI devices again
- enumerate generic SCSI devices again

* Tue Sep 04 2007 Pixel <pixel@mandriva.com> 10.4.187-1mdv2008.0
+ Revision: 79139
- bugfix release: add desktop-Custom.png to tarball

* Tue Sep 04 2007 Pixel <pixel@mandriva.com> 10.4.186-1mdv2008.0
+ Revision: 79079
- new release, 10.4.186
- add global variable settable via "use_uuid" on kernel cmdline

* Tue Sep 04 2007 Pixel <pixel@mandriva.com> 10.4.185-1mdv2008.0
+ Revision: 79070
- bug fix release, 10.4.185
- fix gnome choice in "choose desktop" step (#33101)

* Mon Sep 03 2007 Thierry Vignaud <tv@mandriva.org> 10.4.184-1mdv2008.0
+ Revision: 78685
- support for UUID (including UUID=xxx in fstab)
- do not set relatime option for mounting nfs
- nicely adjust mtime of fontconfig cache files
- steps window: do not underline categories (Installation, Configuration)
- nicer "choose desktop" step with icons

* Fri Aug 31 2007 Pixel <pixel@mandriva.com> 10.4.183-1mdv2008.0
+ Revision: 76770
- new release, 10.4.183
- add new step "choose desktop", before or hiding "choose groups"
- bootloader-config
  o handle new naming of vmlinuz flavors: vmlinuz-<version>-<flavor>-Xmdv
    instead of vmlinuz-<version>-Xmdv<flavor>
  o always use "linux" short name instead of "linux-<flavor>"
    (since the long name is quite nice nowadays)

* Thu Aug 30 2007 Thierry Vignaud <tv@mandriva.org> 10.4.182-1mdv2008.0
+ Revision: 75649
- assume system is a laptop if it contains some "Intel Corporation|Mobile" devices
  (fix Samsung Q1U detection, #32967)
- enable snd-ac97-codec power_save=1 option if installed on laptop (#32213)
- set specific icons for summary steps (#32923)

* Wed Aug 29 2007 Thierry Vignaud <tv@mandriva.org> 10.4.181-1mdv2008.0
+ Revision: 74700
- fix translating steps titles
- ugtk2: use given title if available instead of default step title (#32923)

* Mon Aug 27 2007 Thierry Vignaud <tv@mandriva.org> 10.4.180-1mdv2008.0
+ Revision: 72092
- rebuild with latest libldetect
- bug command: fix choosing the usb-key/floppy drive
  (ie adapting interactive::stdio to new interactive callbacks)
- add /usr/share/ldetect-lst/fallback-modules.alias for
  drakx-in-chroot on old kernels
- fallback to kernel-desktop
- fix summary in text mode (#32858)
- fix loading linux software raid (mdadm) kernel modules
  (after rename raid5&raid6 -> raid456)
- diskdrake
  o fix action "Type" on a software raid (eg: dm0)
  o fix coloring "Other" partitions (#32845)
- update banner for RC1

* Fri Aug 24 2007 Thierry Vignaud <tv@mandriva.org> 10.4.179-1mdv2008.0
+ Revision: 71075
- install kernel-desktop-devel-latest instead of
  kernel-source-stripped-latest on upgrade

* Fri Aug 24 2007 Thierry Vignaud <tv@mandriva.org> 10.4.178-1mdv2008.0
+ Revision: 71058
- adapt to new kernel flavors

* Fri Aug 24 2007 Pixel <pixel@mandriva.com> 10.4.177-1mdv2008.0
+ Revision: 70897
- bug fix release, 10.4.177
- fix typo in banner name (otherwise internal_error)

* Fri Aug 24 2007 Olivier Blin <oblin@mandriva.com> 10.4.176-1mdv2008.0
+ Revision: 70824
- 10.4.176: fix resolving category from module (mainly fix usbhid loading)

* Thu Aug 23 2007 Pixel <pixel@mandriva.com> 10.4.175-1mdv2008.0
+ Revision: 69352
- new release, 10.4.175
- fix typo making selectKeyboard step not called
- diskdrake:
  o change the legend and the colors per partition
- drop /etc/sysconfig/usb configuration (not used anymore in initscripts)
- update banner for beta2

* Tue Aug 21 2007 Olivier Blin <oblin@mandriva.com> 10.4.174-1mdv2008.0
+ Revision: 68636
- 10.4.174
- set default per step banner title & icon for all steps
- fallback on module name if the filename can't be found
  (in the rare case the caller uses '-' in the module name)
- use '_' in module names when explicitely loading them (cosmetics only)
- kill old usb-storage code, mkinitrd now loads it when necessary

* Tue Aug 21 2007 Olivier Blin <oblin@mandriva.com> 10.4.173-1mdv2008.0
+ Revision: 68381
- 10.4.173: convert module names to module filenames
- 10.4.172: ignore wmaster* devices when detecting wireless interfaces

* Mon Aug 20 2007 Olivier Blin <oblin@mandriva.com> 10.4.171-1mdv2008.0
+ Revision: 68023
- 10.4.171: really use '_' in modules names

* Mon Aug 20 2007 Olivier Blin <oblin@mandriva.com> 10.4.170-1mdv2008.0
+ Revision: 67871
- 10.4.170: use '_' in modules names

* Tue Aug 14 2007 Thierry Vignaud <tv@mandriva.org> 10.4.169-2mdv2008.0
+ Revision: 63280
- rebuild with ldetect0.7.7 (thus fixing hw detection)

* Tue Aug 14 2007 Thierry Vignaud <tv@mandriva.org> 10.4.169-1mdv2008.0
+ Revision: 63112
- use better default title & icon for banners
- diskdrake:
  o add support for 'relatime' mount option
  o default all machines to 'relatime' mount option
    (except laptops which use the stronger noatime)
  o kill support for 'nodiratime' mount option

* Mon Aug 13 2007 Pixel <pixel@mandriva.com> 10.4.168-2mdv2008.0
+ Revision: 62795
- BuildRequires meta-task is needed for /etc/urpmi/prefer.vendor.list
  (can be removed once urpmi requires it)
- new release, 10.4.168
- merge root password step and create user step
- fix checking user creation info (#32517)
- allow to create only one user per default, but add an entry in summary to
  create more users
- authentication method is not configurable anymore for now.
  should we add it to summary?
- 'ibm_acpi' driver was replaced by 'thinkpad_acpi (#31606)
- internal
  o use urpm::select::get_preferred to choose preferred packages
    (need urpmi library >= 4.10.1)
  o computeGroupSize: do direct requires before choices
    (eg for epiphany: require libmozilla-firefox2.0.0.6 before choosing
    package providing libmozjs.so)

* Fri Aug 10 2007 Thierry Vignaud <tv@mandriva.org> 10.4.165-1mdv2008.0
+ Revision: 61461
- fix detecting sound cards

* Thu Aug 09 2007 Pixel <pixel@mandriva.com> 10.4.164-1mdv2008.0
+ Revision: 60828
- new release, 10.4.164
- cache PCI probe results
- use Xconfig::proprietary::pkgs_for_Driver2 from drakx-kbd-mouse-X11 0.21

* Thu Aug 09 2007 Thierry Vignaud <tv@mandriva.org> 10.4.162-2mdv2008.0
+ Revision: 60765
- rebuild with a fixed MDK::Common

* Wed Aug 08 2007 Thierry Vignaud <tv@mandriva.org> 10.4.162-1mdv2008.0
+ Revision: 60389
- drakboot:
  o allow choosing another bootloader method when a package cannot be
  installed (occurs on 2008.0 beta1 where mandriva-gfxboot-theme is missing)
- diskdrake:
  o do not show partition types which have no associated filesystem
    for LVM LV (#32326)
- partitionning:
  o allow using diskdrake even if there is only a lvm PV on full disk available
  o fix range max value >2TB when creating a partition (useful for LVs >2TB)
  o restore progress bar when formatting ext3
- kill security level step (only reachable from summary now)
- summary screen:
  o warn if the security level will prevent accessig windows partitions
  o reorder steps according to specs
  o render titles in bold
- rebuild with new ldetect

* Fri Aug 03 2007 Pixel <pixel@mandriva.com> 10.4.158-1mdv2008.0
+ Revision: 58668
- build with drakx-kbd-mouse-x11 0.20 (esp for default xorg.conf without xfs)
- new release, 10.4.158
- configure removable writable media to use "flush" option instead of "sync" (#23042)

* Thu Aug 02 2007 Pixel <pixel@mandriva.com> 10.4.155-1mdv2008.0
+ Revision: 58251
- new release, 10.4.155
- use kbd (setfont) instead of console-tools (consolechars)
- rebuild with rpm-mandriva-setup 1.48
- new release, 10.4.154
- drop supermount support
- diskdrake: drop "Rescue partition table" feature
  (was based on rescuept which has been dropped in util-linux, but was quite
  bad compared to testdisk anyway)

* Tue Jul 24 2007 Olivier Blin <oblin@mandriva.com> 10.4.150-1mdv2008.0
+ Revision: 54960
- 10.4.150: update banner for 2008 beta 1 (from Anne)

* Tue Jul 17 2007 Olivier Blin <oblin@mandriva.com> 10.4.149-1mdv2008.0
+ Revision: 53013
- 10.4.149: fix build of wireless binding with latest kernel headers
- 10.4.148
- add ide-disk module in disk/raw category
- load ide-disk module when loading disk/ide category

* Thu Jul 12 2007 Pixel <pixel@mandriva.com> 10.4.147-1mdv2008.0
+ Revision: 51505
- bug fix release, 10.4.147
- new release, 10.4.146
- allow using sqlite for rpmdb when using option rpm_dbapi=4
- add /lib/udev/usb_id which is needed by mouse.pm to generate /dev/input/by-id/xxx

* Sun Jul 08 2007 Pixel <pixel@mandriva.com> 10.4.142-3mdv2008.0
+ Revision: 49851
- ensure it really builds with fixed librpm (ie >= 4.4.8-6mdv2008.0)

* Fri Jul 06 2007 Pixel <pixel@mandriva.com> 10.4.142-2mdv2008.0
+ Revision: 49058
- rebuild with fixed librpm (so that installing pkg "setup" won't clobber
  /etc/fstab and break initrd creation)

* Mon Jul 02 2007 Pixel <pixel@mandriva.com> 10.4.142-1mdv2008.0
+ Revision: 46952
- brown paper bag fix (stage1 can't create symlink /etc/rpm/platform)

* Fri Jun 29 2007 Pixel <pixel@mandriva.com> 10.4.141-1mdv2008.0
+ Revision: 45688
- new release, 10.4.141:
- bundle /etc/rpm/platform for rpm 4.4.8
- use modularized ide drivers and configure ide-controller in modprobe.conf
- auto_install:
  o allow "automatic=met:http,ser:server,dir:/pub/dir
    kickstart=/pub/auto_inst.cfg" to get http://server/pub/auto_inst.cfg (#31474)
  o ensure /etc/resolv.conf is configured in /mnt for network installs
- add /etc/mke2fs.conf in order to format ext3fs with 4k blocks (#27377)
- diskdrake
  o fix 1.9TB displayed as 1TB
- do not ask for updates at end of installation when updates are already
  available (network installs) (#30344)
- do not try to configure dvd devices since /dev is wiped out at
  reboot
- fix detecting usb drives (#13395)
  (need a perl-MDK-Common 1.2.5)
- hw support:
  o handle snd-cs5530 driver
- install fonts-ttf-dejavu & fonts-ttf-liberation by default
- allow umounting cdrom during a transaction
- really allow having name with "/" in media.cfg
- use "mkfs.ext3" instead of "mkfs.ext2 -J"
  (to have dir_index & resize_inode features)
  (cf Frederik Himpe 23 Apr 2007 mail on cooker)
- new release, 10.4.137
- auto_install:
  o allow "automatic=met:http,ser:server,dir:/pub/dir
    kickstart=/pub/auto_inst.cfg" to get http://server/pub/auto_inst.cfg (#31474)
  o ensure /etc/resolv.conf is configured in /mnt for network installs
- add /etc/mke2fs.conf in order to format ext3fs with 4k blocks (#27377)
- diskdrake
  o fix 1.9TB displayed as 1TB
- do not ask for updates at end of installation when updates are already
  available (network installs) (#30344)
- do not try to configure dvd devices since /dev is wiped out at
  reboot
- fix detecting usb drives (#13395)
  (need a perl-MDK-Common 1.2.5)
- hw support:
  o handle snd-cs5530 driver
- install fonts-ttf-dejavu & fonts-ttf-liberation by default
- allow umounting cdrom during a transaction
- really allow having name with "/" in media.cfg
- use "mkfs.ext3" instead of "mkfs.ext2 -J"
  (to have dir_index & resize_inode features)
  (cf Frederik Himpe 23 Apr 2007 mail on cooker)
- don't BuildRequires x11-server-xnest, it's not needed afaik


* Thu Apr 05 2007 Pixel <pixel@mandriva.com> 10.4.129-1mdv2007.1
+ Revision: 150697
- new release, 10.4.129
- move advertising out of drakx-installer-stage2 into drakx-installer-advertising

* Wed Apr 04 2007 Pixel <pixel@mandriva.com> 10.4.128-3mdv2007.1
+ Revision: 150622
- we can't expect mandriva-release nor mandriva-release to be installed at the moment, removing the check
- mandriva-release is no more, mandriva-release-common is the one to check
- don't depend on mandriva-release %%version-%%release, only on %%version
- new release, 10.4.128
- don't configure /etc/kde/kdm/kdmrc if it doesn't exist
  (other kdmrc.rpmnew will be created, many important values will be missing)
- fix ext3 formatting with label and progress bar (#30032)
- fix taking screenshot
- prefering libkdebase4-kmenuedit over libkdebase46-kmenuedit to ensure
  kdebase-kmenuedit is chosen instead of kdebase4-kmenuedit
- rebuild with ldetect-lst 0.1.167

* Fri Mar 30 2007 Olivier Blin <oblin@mandriva.com> 10.4.126-1mdv2007.1
+ Revision: 149916
- use pci_domain when matching sysfs device and computing
  sysfs device path
- correctly mark "update" media in urpmi.cfg
- fix multiple detection of PCI network cards with the same driver
  (#29688)
- rename o->{build_live_system} as more generic
  o->{match_all_hardware} name
- automatically install network drivers when matching all hardware

* Tue Mar 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.122-1mdv2007.1
+ Revision: 148979
- final banner image
- fix installing kernel-source-stripped
- include mmc_block for card readers

  + Pixel <pixel@mandriva.com>
    - build with build with drakx-kbd-mouse-x11 0.14

* Fri Mar 23 2007 Pixel <pixel@mandriva.com> 10.4.120-1mdv2007.1
+ Revision: 148467
- new release, 10.4.120
- allow having name with "/" in media.cfg
- interactive::curses:
  o handle multi-line labels, and wrap too long labels (#29060)
- do not use bold&big for advanced_messages
  (fixes authentication choice being big & ugly, #28676)

* Thu Mar 22 2007 Pixel <pixel@mandriva.com> 10.4.119-1mdv2007.1
+ Revision: 148072
- build with drakx-kbd-mouse-x11 0.12
- build with drakx-net 0.8
- new release, 10.4.119
- use concat_symlink to get rid of ../../ in urpmi.cfg on x86_64 for main32 medium
- don't complain about missing pata drivers
- do not install nspluginwrapper on ia32 (#29808)
- use http://api.mandriva.com/mirrors/$type.$version.$arch instead of simply
  $version.$arch (useful to differentiate CorpoDesktop4)
- fix ati/nvidia drivers installation on One

* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.116-1mdv2007.1
+ Revision: 146617
- do not fallback on english HTML help but on on old translated help
- handle more drivers (dvb, ethernet, gigabit, ide, pcmcia, sata,
  sound, tv, usb hosts, wan, webcam, wireless)
- 2007 RC logo
- diskdrake: handle mkntfs

* Fri Mar 16 2007 Pixel <pixel@mandriva.com> 10.4.115-1mdv2007.1
+ Revision: 145242
- new release, 10.4.115
- use kernel-*latest to select the kernel,
  and also kernel-source-stripped-latest when dkms is installed on upgrade
- add some nice code selecting the various kernel-source-stripped (or
  kernel-.*-devel) corresponding to the chosen kernels
- allow having rpmsrate on CD0 overriding rpmsrate on CD1
  (bugged introduced in rev 37253)
- when using 2 media_cfg in auto_inst,
  allow specifying which rpmsrate will be used
- for locales with fallback (eg: br:fr), try main language before
  english

* Fri Mar 16 2007 Pixel <pixel@mandriva.com> 10.4.114-1mdv2007.1
+ Revision: 144865
- 10.4.114 fixes 10.4.113

* Fri Mar 16 2007 Pixel <pixel@mandriva.com> 10.4.113-1mdv2007.1
+ Revision: 144739
- new release, 10.4.113
- use grub-gfxmenu command to configure /boot/gfxmenu for grub

* Thu Mar 15 2007 Olivier Blin <oblin@mandriva.com> 10.4.111-1mdv2007.1
+ Revision: 144558
- 10.4.111 (fix installation of ati driver for One)

* Thu Mar 15 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.109-1mdv2007.1
+ Revision: 144152
- Buildrequire perl-Gtk2-Html2 for HTML help
- display HTML help if availlable
- load tifm_sd if needed (#25133)
- BuildRequires mandriva-doc-installer-help for HTML help

* Tue Mar 13 2007 Pixel <pixel@mandriva.com> 10.4.107-1mdv2007.1
+ Revision: 142402
- new release, 10.4.107
- prefer kde3 packages over kde4 packages
- rebuild with new drakx-kbd-mouse-x11

* Mon Mar 12 2007 Pixel <pixel@mandriva.com> 10.4.106-1mdv2007.1
+ Revision: 142000
- new release, 10.4.106
- move the lib64 symlink in share/symlinks (to fix drakx-in-chroot),
  this will leave a harmless dangling symlink in most cases though
- configure "tifm_7xx1" driven card_reader (#25133)
- do not bother configure old modutils
- fix PCI descriptions returned from pci_probe()
- enhance wrapping in wizards

* Tue Mar 06 2007 Pixel <pixel@mandriva.com> 10.4.103-1mdv2007.1
+ Revision: 133659
- new release:
  o add icons needed by xorg configuration (#29069)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - better summary & description

* Thu Feb 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.98-1mdv2007.1
+ Revision: 124685
- do not install athcool on ia32, it freeze at least some nforce2 machines
- fix regexp for kernel-2.6.17.10mdv for autoinstall install & liveCD building
- include fsck.jfs on x86_64 too (#28821)
- update kernel/list_modules.pm

* Fri Feb 16 2007 Pixel <pixel@mandriva.com> 10.4.96-2mdv2007.1
+ Revision: 122037
- pcmcia_probe.o is needed

* Fri Feb 16 2007 Pixel <pixel@mandriva.com> 10.4.96-1mdv2007.1
+ Revision: 121862
- mandriva-gfxboot-theme is not needed to build
- new release, 10.4.96
- handle vga=0x3.. instead of vga=7..
- prefer free-kde-config (otherwise one-kde-config is chosen)
- use system-wide raghu.ttf (pablo)
- fix rights on files
- fix automatic selection of proprietary video kernel packages (blino)
- modify custom.conf instead of gdm.conf (blino)

* Thu Feb 08 2007 Pixel <pixel@mandriva.com> 10.4.93-1mdv2007.1
+ Revision: 117981
- add BuildRequires fonts-ttf-devanagari (for devanagari/raghu.ttf)
- 10.4.93
- install was completly broken because of stuff.so not being at the right place

* Tue Feb 06 2007 Pixel <pixel@mandriva.com> 10.4.92-1mdv2007.1
+ Revision: 116893
- first release
- Create drakx-installer-stage2

